// encodeji: encode :simple-names: for emoji as unicode codepoints.
// Copyright 2016 Coggle, Licensed under ISC
// Portions from Twemoji: MIT licensed Copyright Twitter Inc. and other contributors.
"use strict";

define('encodeji', function(){

    // data from emoji-data-minimal bower component, reduced to the subset we
    // need. Format (after unpacking): [ {
    //     "name": "THUMBS UP SIGN",
    //     "unified": "1F44D",
    //     "short_name": "+1",
    //     "short_names": [
    //         "+1",
    //         "thumbsup"
    //     ],
    //     "text": null,
    //     "texts": null,
    //     "category": "People",
    //     "sort_order": 91,
    //     "skin_variations": true
    // }, ... ]
    var data = unpackOnFirstUse([["COPYRIGHT SIGN","00A9","copyright",["copyright"],"Symbols",197,null,null,null],["REGISTERED SIGN","00AE","registered",["registered"],"Symbols",198,null,null,null],["DOUBLE EXCLAMATION MARK","203C","bangbang",["bangbang"],"Symbols",89,null,null,null],["EXCLAMATION QUESTION MARK","2049","interrobang",["interrobang"],"Symbols",90,null,null,null],["TRADE MARK SIGN","2122","tm",["tm"],"Symbols",196,null,null,null],["INFORMATION SOURCE","2139","information_source",["information_source"],"Symbols",130,null,null,null],["LEFT RIGHT ARROW","2194","left_right_arrow",["left_right_arrow"],"Symbols",178,null,null,null],["UP DOWN ARROW","2195","arrow_up_down",["arrow_up_down"],"Symbols",177,null,null,null],["NORTH WEST ARROW","2196","arrow_upper_left",["arrow_upper_left"],"Symbols",176,null,null,null],["NORTH EAST ARROW","2197","arrow_upper_right",["arrow_upper_right"],"Symbols",173,null,null,null],["SOUTH EAST ARROW","2198","arrow_lower_right",["arrow_lower_right"],"Symbols",174,null,null,null],["SOUTH WEST ARROW","2199","arrow_lower_left",["arrow_lower_left"],"Symbols",175,null,null,null],["LEFTWARDS ARROW WITH HOOK","21A9","leftwards_arrow_with_hook",["leftwards_arrow_with_hook"],"Symbols",180,null,null,null],["RIGHTWARDS ARROW WITH HOOK","21AA","arrow_right_hook",["arrow_right_hook"],"Symbols",179,null,null,null],["WATCH","231A","watch",["watch"],"Objects",1,null,null,null],["HOURGLASS","231B","hourglass",["hourglass"],"Objects",36,null,null,null],["KEYBOARD","2328","keyboard",["keyboard"],"Objects",5,null,null,null],["EJECT SYMBOL","23CF","eject",["eject"],"Symbols",158,null,null,null],["BLACK RIGHT-POINTING DOUBLE TRIANGLE","23E9","fast_forward",["fast_forward"],"Symbols",162,null,null,null],["BLACK LEFT-POINTING DOUBLE TRIANGLE","23EA","rewind",["rewind"],"Symbols",163,null,null,null],["BLACK UP-POINTING DOUBLE TRIANGLE","23EB","arrow_double_up",["arrow_double_up"],"Symbols",164,null,null,null],["BLACK DOWN-POINTING DOUBLE TRIANGLE","23EC","arrow_double_down",["arrow_double_down"],"Symbols",165,null,null,null],["BLACK RIGHT-POINTING DOUBLE TRIANGLE WITH VERTICAL BAR","23ED","black_right_pointing_double_triangle_with_vertical_bar",["black_right_pointing_double_triangle_with_vertical_bar"],"Symbols",160,null,null,null],["BLACK LEFT-POINTING DOUBLE TRIANGLE WITH VERTICAL BAR","23EE","black_left_pointing_double_triangle_with_vertical_bar",["black_left_pointing_double_triangle_with_vertical_bar"],"Symbols",161,null,null,null],["BLACK RIGHT-POINTING TRIANGLE WITH DOUBLE VERTICAL BAR","23EF","black_right_pointing_triangle_with_double_vertical_bar",["black_right_pointing_triangle_with_double_vertical_bar"],"Symbols",156,null,null,null],["ALARM CLOCK","23F0","alarm_clock",["alarm_clock"],"Objects",34,null,null,null],["STOPWATCH","23F1","stopwatch",["stopwatch"],"Objects",32,null,null,null],["TIMER CLOCK","23F2","timer_clock",["timer_clock"],"Objects",33,null,null,null],["HOURGLASS WITH FLOWING SAND","23F3","hourglass_flowing_sand",["hourglass_flowing_sand"],"Objects",37,null,null,null],["DOUBLE VERTICAL BAR","23F8","double_vertical_bar",["double_vertical_bar"],"Symbols",155,null,null,null],["BLACK SQUARE FOR STOP","23F9","black_square_for_stop",["black_square_for_stop"],"Symbols",157,null,null,null],["BLACK CIRCLE FOR RECORD","23FA","black_circle_for_record",["black_circle_for_record"],"Symbols",159,null,null,null],["CIRCLED LATIN CAPITAL LETTER M","24C2","m",["m"],"Symbols",108,null,null,null],["BLACK SMALL SQUARE","25AA","black_small_square",["black_small_square"],"Symbols",222,null,null,null],["WHITE SMALL SQUARE","25AB","white_small_square",["white_small_square"],"Symbols",223,null,null,null],["BLACK RIGHT-POINTING TRIANGLE","25B6","arrow_forward",["arrow_forward"],"Symbols",154,null,null,null],["BLACK LEFT-POINTING TRIANGLE","25C0","arrow_backward",["arrow_backward"],"Symbols",166,null,null,null],["WHITE MEDIUM SQUARE","25FB","white_medium_square",["white_medium_square"],"Symbols",227,null,null,null],["BLACK MEDIUM SQUARE","25FC","black_medium_square",["black_medium_square"],"Symbols",226,null,null,null],["WHITE MEDIUM SMALL SQUARE","25FD","white_medium_small_square",["white_medium_small_square"],"Symbols",225,null,null,null],["BLACK MEDIUM SMALL SQUARE","25FE","black_medium_small_square",["black_medium_small_square"],"Symbols",224,null,null,null],["BLACK SUN WITH RAYS","2600","sunny",["sunny"],"Nature",138,null,null,null],["CLOUD","2601","cloud",["cloud"],"Nature",144,null,null,null],["UMBRELLA","2602","umbrella",["umbrella"],"People",293,null,null,null],["SNOWMAN","2603","snowman",["snowman"],"Nature",149,null,null,null],["COMET","2604","comet",["comet"],"Nature",137,null,null,null],["BLACK TELEPHONE","260E","phone",["phone","telephone"],"Objects",24,null,null,null],["BALLOT BOX WITH CHECK","2611","ballot_box_with_check",["ballot_box_with_check"],"Symbols",208,null,null,null],["UMBRELLA WITH RAIN DROPS","2614","umbrella_with_rain_drops",["umbrella_with_rain_drops"],"Nature",159,null,null,null],["HOT BEVERAGE","2615","coffee",["coffee"],"Foods",73,null,null,null],["SHAMROCK","2618","shamrock",["shamrock"],"Nature",96,null,null,null],["WHITE UP POINTING INDEX","261D","point_up",["point_up"],"People",116,true,null,null],["SKULL AND CROSSBONES","2620","skull_and_crossbones",["skull_and_crossbones"],"People",83,null,null,null],["RADIOACTIVE SIGN","2622","radioactive_sign",["radioactive_sign"],"Symbols",44,null,null,null],["BIOHAZARD SIGN","2623","biohazard_sign",["biohazard_sign"],"Symbols",45,null,null,null],["ORTHODOX CROSS","2626","orthodox_cross",["orthodox_cross"],"Symbols",26,null,null,null],["STAR AND CRESCENT","262A","star_and_crescent",["star_and_crescent"],"Symbols",19,null,null,null],["PEACE SYMBOL","262E","peace_symbol",["peace_symbol"],"Symbols",17,null,null,null],["YIN YANG","262F","yin_yang",["yin_yang"],"Symbols",25,null,null,null],["WHEEL OF DHARMA","2638","wheel_of_dharma",["wheel_of_dharma"],"Symbols",21,null,null,null],["WHITE FROWNING FACE","2639","white_frowning_face",["white_frowning_face"],"People",38,null,null,null],["WHITE SMILING FACE","263A","relaxed",["relaxed"],"People",9,null,null,null],["FEMALE SIGN","2640","female_sign",["female_sign"],"Symbols",274,null,null,null],["MALE SIGN","2642","male_sign",["male_sign"],"Symbols",275,null,null,null],["ARIES","2648","aries",["aries"],"Symbols",29,null,null,null],["TAURUS","2649","taurus",["taurus"],"Symbols",30,null,null,null],["GEMINI","264A","gemini",["gemini"],"Symbols",31,null,null,null],["CANCER","264B","cancer",["cancer"],"Symbols",32,null,null,null],["LEO","264C","leo",["leo"],"Symbols",33,null,null,null],["VIRGO","264D","virgo",["virgo"],"Symbols",34,null,null,null],["LIBRA","264E","libra",["libra"],"Symbols",35,null,null,null],["SCORPIUS","264F","scorpius",["scorpius"],"Symbols",36,null,null,null],["SAGITTARIUS","2650","sagittarius",["sagittarius"],"Symbols",37,null,null,null],["CAPRICORN","2651","capricorn",["capricorn"],"Symbols",38,null,null,null],["AQUARIUS","2652","aquarius",["aquarius"],"Symbols",39,null,null,null],["PISCES","2653","pisces",["pisces"],"Symbols",40,null,null,null],["BLACK SPADE SUIT","2660","spades",["spades"],"Symbols",243,null,null,null],["BLACK CLUB SUIT","2663","clubs",["clubs"],"Symbols",244,null,null,null],["BLACK HEART SUIT","2665","hearts",["hearts"],"Symbols",245,null,null,null],["BLACK DIAMOND SUIT","2666","diamonds",["diamonds"],"Symbols",246,null,null,null],["HOT SPRINGS","2668","hotsprings",["hotsprings"],"Symbols",77,null,null,null],["BLACK UNIVERSAL RECYCLING SYMBOL","267B","recycle",["recycle"],"Symbols",99,null,null,null],["WHEELCHAIR SYMBOL","267F","wheelchair",["wheelchair"],"Symbols",113,null,null,null],["HAMMER AND PICK","2692","hammer_and_pick",["hammer_and_pick"],"Objects",57,null,null,null],["ANCHOR","2693","anchor",["anchor"],"Places",53,null,null,null],["CROSSED SWORDS","2694","crossed_swords",["crossed_swords"],"Objects",67,null,null,null],["STAFF OF AESCULAPIUS","2695","staff_of_aesculapius",["staff_of_aesculapius"],"Symbols",276,null,null,null],["SCALES","2696","scales",["scales"],"Objects",54,null,null,null],["ALEMBIC","2697","alembic",["alembic"],"Objects",76,null,null,null],["GEAR","2699","gear",["gear"],"Objects",61,null,null,null],["ATOM SYMBOL","269B","atom_symbol",["atom_symbol"],"Symbols",42,null,null,null],["FLEUR-DE-LIS","269C","fleur_de_lis",["fleur_de_lis"],"Symbols",97,null,null,null],["WARNING SIGN","26A0","warning",["warning"],"Symbols",94,null,null,null],["HIGH VOLTAGE SIGN","26A1","zap",["zap"],"Nature",134,null,null,null],["MEDIUM WHITE CIRCLE","26AA","white_circle",["white_circle"],"Symbols",210,null,null,null],["MEDIUM BLACK CIRCLE","26AB","black_circle",["black_circle"],"Symbols",211,null,null,null],["COFFIN","26B0","coffin",["coffin"],"Objects",70,null,null,null],["FUNERAL URN","26B1","funeral_urn",["funeral_urn"],"Objects",71,null,null,null],["SOCCER BALL","26BD","soccer",["soccer"],"Activity",1,null,null,null],["BASEBALL","26BE","baseball",["baseball"],"Activity",4,null,null,null],["SNOWMAN WITHOUT SNOW","26C4","snowman_without_snow",["snowman_without_snow"],"Nature",150,null,null,null],["SUN BEHIND CLOUD","26C5","partly_sunny",["partly_sunny"],"Nature",140,null,null,null],["THUNDER CLOUD AND RAIN","26C8","thunder_cloud_and_rain",["thunder_cloud_and_rain"],"Nature",146,null,null,null],["OPHIUCHUS","26CE","ophiuchus",["ophiuchus"],"Symbols",28,null,null,null],["PICK","26CF","pick",["pick"],"Objects",59,null,null,null],["HELMET WITH WHITE CROSS","26D1","helmet_with_white_cross",["helmet_with_white_cross"],"People",284,null,null,null],["CHAINS","26D3","chains",["chains"],"Objects",62,null,null,null],["NO ENTRY","26D4","no_entry",["no_entry"],"Symbols",72,null,null,null],["SHINTO SHRINE","26E9","shinto_shrine",["shinto_shrine"],"Places",104,null,null,null],["CHURCH","26EA","church",["church"],"Places",100,null,null,null],["MOUNTAIN","26F0","mountain",["mountain"],"Places",73,null,null,null],["UMBRELLA ON GROUND","26F1","umbrella_on_ground",["umbrella_on_ground"],"Places",70,null,null,null],["FOUNTAIN","26F2","fountain",["fountain"],"Places",62,null,null,null],["FLAG IN HOLE","26F3","golf",["golf"],"Activity",15,null,null,null],["FERRY","26F4","ferry",["ferry"],"Places",51,null,null,null],["SAILBOAT","26F5","boat",["boat","sailboat"],"Places",47,null,null,null],["SKIER","26F7","skier",["skier"],"Activity",22,null,null,null],["ICE SKATE","26F8","ice_skate",["ice_skate"],"Activity",20,null,null,null],["PERSON WITH BALL","26F9","person_with_ball",["person_with_ball"],"Activity",34,true,null,null],["TENT","26FA","tent",["tent"],"Places",79,null,null,null],["FUEL PUMP","26FD","fuelpump",["fuelpump"],"Places",55,null,null,null],["BLACK SCISSORS","2702","scissors",["scissors"],"Objects",160,null,null,null],["WHITE HEAVY CHECK MARK","2705","white_check_mark",["white_check_mark"],"Symbols",100,null,null,null],["AIRPLANE","2708","airplane",["airplane"],"Places",40,null,null,null],["ENVELOPE","2709","email",["email","envelope"],"Objects",107,null,null,null],["RAISED FIST","270A","fist",["fist"],"People",105,true,null,null],["RAISED HAND","270B","hand",["hand","raised_hand"],"People",117,true,null,null],["VICTORY HAND","270C","v",["v"],"People",109,true,null,null],["WRITING HAND","270D","writing_hand",["writing_hand"],"People",125,true,null,null],["PENCIL","270F","pencil2",["pencil2"],"Objects",167,null,null,null],["BLACK NIB","2712","black_nib",["black_nib"],"Objects",163,null,null,null],["HEAVY CHECK MARK","2714","heavy_check_mark",["heavy_check_mark"],"Symbols",207,null,null,null],["HEAVY MULTIPLICATION X","2716","heavy_multiplication_x",["heavy_multiplication_x"],"Symbols",193,null,null,null],["LATIN CROSS","271D","latin_cross",["latin_cross"],"Symbols",18,null,null,null],["STAR OF DAVID","2721","star_of_david",["star_of_david"],"Symbols",22,null,null,null],["SPARKLES","2728","sparkles",["sparkles"],"Nature",133,null,null,null],["EIGHT SPOKED ASTERISK","2733","eight_spoked_asterisk",["eight_spoked_asterisk"],"Symbols",104,null,null,null],["EIGHT POINTED BLACK STAR","2734","eight_pointed_black_star",["eight_pointed_black_star"],"Symbols",53,null,null,null],["SNOWFLAKE","2744","snowflake",["snowflake"],"Nature",151,null,null,null],["SPARKLE","2747","sparkle",["sparkle"],"Symbols",103,null,null,null],["CROSS MARK","274C","x",["x"],"Symbols",69,null,null,null],["NEGATIVE SQUARED CROSS MARK","274E","negative_squared_cross_mark",["negative_squared_cross_mark"],"Symbols",105,null,null,null],["BLACK QUESTION MARK ORNAMENT","2753","question",["question"],"Symbols",87,null,null,null],["WHITE QUESTION MARK ORNAMENT","2754","grey_question",["grey_question"],"Symbols",88,null,null,null],["WHITE EXCLAMATION MARK ORNAMENT","2755","grey_exclamation",["grey_exclamation"],"Symbols",86,null,null,null],["HEAVY EXCLAMATION MARK SYMBOL","2757","exclamation",["exclamation","heavy_exclamation_mark"],"Symbols",85,null,null,null],["HEAVY HEART EXCLAMATION MARK ORNAMENT","2763","heavy_heart_exclamation_mark_ornament",["heavy_heart_exclamation_mark_ornament"],"Symbols",8,null,null,null],["HEAVY BLACK HEART","2764","heart",["heart"],"Symbols",1,null,"<3",["<3"]],["HEAVY PLUS SIGN","2795","heavy_plus_sign",["heavy_plus_sign"],"Symbols",190,null,null,null],["HEAVY MINUS SIGN","2796","heavy_minus_sign",["heavy_minus_sign"],"Symbols",191,null,null,null],["HEAVY DIVISION SIGN","2797","heavy_division_sign",["heavy_division_sign"],"Symbols",192,null,null,null],["BLACK RIGHTWARDS ARROW","27A1","arrow_right",["arrow_right"],"Symbols",169,null,null,null],["CURLY LOOP","27B0","curly_loop",["curly_loop"],"Symbols",200,null,null,null],["DOUBLE CURLY LOOP","27BF","loop",["loop"],"Symbols",201,null,null,null],["ARROW POINTING RIGHTWARDS THEN CURVING UPWARDS","2934","arrow_heading_up",["arrow_heading_up"],"Symbols",181,null,null,null],["ARROW POINTING RIGHTWARDS THEN CURVING DOWNWARDS","2935","arrow_heading_down",["arrow_heading_down"],"Symbols",182,null,null,null],["LEFTWARDS BLACK ARROW","2B05","arrow_left",["arrow_left"],"Symbols",170,null,null,null],["UPWARDS BLACK ARROW","2B06","arrow_up",["arrow_up"],"Symbols",171,null,null,null],["DOWNWARDS BLACK ARROW","2B07","arrow_down",["arrow_down"],"Symbols",172,null,null,null],["BLACK LARGE SQUARE","2B1B","black_large_square",["black_large_square"],"Symbols",228,null,null,null],["WHITE LARGE SQUARE","2B1C","white_large_square",["white_large_square"],"Symbols",229,null,null,null],["WHITE MEDIUM STAR","2B50","star",["star"],"Nature",131,null,null,null],["HEAVY LARGE CIRCLE","2B55","o",["o"],"Symbols",70,null,null,null],["WAVY DASH","3030","wavy_dash",["wavy_dash"],"Symbols",199,null,null,null],["PART ALTERNATION MARK","303D","part_alternation_mark",["part_alternation_mark"],"Symbols",93,null,null,null],["CIRCLED IDEOGRAPH CONGRATULATION","3297","congratulations",["congratulations"],"Symbols",58,null,null,null],["CIRCLED IDEOGRAPH SECRET","3299","secret",["secret"],"Symbols",57,null,null,null],["MAHJONG TILE RED DRAGON","1F004","mahjong",["mahjong"],"Symbols",249,null,null,null],["PLAYING CARD BLACK JOKER","1F0CF","black_joker",["black_joker"],"Symbols",247,null,null,null],["NEGATIVE SQUARED LATIN CAPITAL LETTER A","1F170","a",["a"],"Symbols",63,null,null,null],["NEGATIVE SQUARED LATIN CAPITAL LETTER B","1F171","b",["b"],"Symbols",64,null,null,null],["NEGATIVE SQUARED LATIN CAPITAL LETTER O","1F17E","o2",["o2"],"Symbols",67,null,null,null],["NEGATIVE SQUARED LATIN CAPITAL LETTER P","1F17F","parking",["parking"],"Symbols",114,null,null,null],["NEGATIVE SQUARED AB","1F18E","ab",["ab"],"Symbols",65,null,null,null],["SQUARED CL","1F191","cl",["cl"],"Symbols",66,null,null,null],["SQUARED COOL","1F192","cool",["cool"],"Symbols",137,null,null,null],["SQUARED FREE","1F193","free",["free"],"Symbols",139,null,null,null],["SQUARED ID","1F194","id",["id"],"Symbols",41,null,null,null],["SQUARED NEW","1F195","new",["new"],"Symbols",138,null,null,null],["SQUARED NG","1F196","ng",["ng"],"Symbols",134,null,null,null],["SQUARED OK","1F197","ok",["ok"],"Symbols",135,null,null,null],["SQUARED SOS","1F198","sos",["sos"],"Symbols",68,null,null,null],["SQUARED UP WITH EXCLAMATION MARK","1F199","up",["up"],"Symbols",136,null,null,null],["SQUARED VS","1F19A","vs",["vs"],"Symbols",54,null,null,null],["SQUARED KATAKANA KOKO","1F201","koko",["koko"],"Symbols",128,null,null,null],["SQUARED KATAKANA SA","1F202","sa",["sa"],"Symbols",116,null,null,null],["SQUARED CJK UNIFIED IDEOGRAPH-7121","1F21A","u7121",["u7121"],"Symbols",49,null,null,null],["SQUARED CJK UNIFIED IDEOGRAPH-6307","1F22F","u6307",["u6307"],"Symbols",101,null,null,null],["SQUARED CJK UNIFIED IDEOGRAPH-7981","1F232","u7981",["u7981"],"Symbols",62,null,null,null],["SQUARED CJK UNIFIED IDEOGRAPH-7A7A","1F233","u7a7a",["u7a7a"],"Symbols",115,null,null,null],["SQUARED CJK UNIFIED IDEOGRAPH-5408","1F234","u5408",["u5408"],"Symbols",59,null,null,null],["SQUARED CJK UNIFIED IDEOGRAPH-6E80","1F235","u6e80",["u6e80"],"Symbols",60,null,null,null],["SQUARED CJK UNIFIED IDEOGRAPH-6709","1F236","u6709",["u6709"],"Symbols",48,null,null,null],["SQUARED CJK UNIFIED IDEOGRAPH-6708","1F237","u6708",["u6708"],"Symbols",52,null,null,null],["SQUARED CJK UNIFIED IDEOGRAPH-7533","1F238","u7533",["u7533"],"Symbols",50,null,null,null],["SQUARED CJK UNIFIED IDEOGRAPH-5272","1F239","u5272",["u5272"],"Symbols",61,null,null,null],["SQUARED CJK UNIFIED IDEOGRAPH-55B6","1F23A","u55b6",["u55b6"],"Symbols",51,null,null,null],["CIRCLED IDEOGRAPH ADVANTAGE","1F250","ideograph_advantage",["ideograph_advantage"],"Symbols",56,null,null,null],["CIRCLED IDEOGRAPH ACCEPT","1F251","accept",["accept"],"Symbols",43,null,null,null],["CYCLONE","1F300","cyclone",["cyclone"],"Symbols",109,null,null,null],["FOGGY","1F301","foggy",["foggy"],"Places",119,null,null,null],["CLOSED UMBRELLA","1F302","closed_umbrella",["closed_umbrella"],"People",292,null,null,null],["NIGHT WITH STARS","1F303","night_with_stars",["night_with_stars"],"Places",116,null,null,null],["SUNRISE OVER MOUNTAINS","1F304","sunrise_over_mountains",["sunrise_over_mountains"],"Places",109,null,null,null],["SUNRISE","1F305","sunrise",["sunrise"],"Places",108,null,null,null],["CITYSCAPE AT DUSK","1F306","city_sunset",["city_sunset"],"Places",114,null,null,null],["SUNSET OVER BUILDINGS","1F307","city_sunrise",["city_sunrise"],"Places",113,null,null,null],["RAINBOW","1F308","rainbow",["rainbow"],"Nature",143,null,null,null],["BRIDGE AT NIGHT","1F309","bridge_at_night",["bridge_at_night"],"Places",118,null,null,null],["WATER WAVE","1F30A","ocean",["ocean"],"Nature",156,null,null,null],["VOLCANO","1F30B","volcano",["volcano"],"Places",76,null,null,null],["MILKY WAY","1F30C","milky_way",["milky_way"],"Places",117,null,null,null],["EARTH GLOBE EUROPE-AFRICA","1F30D","earth_africa",["earth_africa"],"Nature",114,null,null,null],["EARTH GLOBE AMERICAS","1F30E","earth_americas",["earth_americas"],"Nature",113,null,null,null],["EARTH GLOBE ASIA-AUSTRALIA","1F30F","earth_asia",["earth_asia"],"Nature",115,null,null,null],["GLOBE WITH MERIDIANS","1F310","globe_with_meridians",["globe_with_meridians"],"Symbols",106,null,null,null],["NEW MOON SYMBOL","1F311","new_moon",["new_moon"],"Nature",120,null,null,null],["WAXING CRESCENT MOON SYMBOL","1F312","waxing_crescent_moon",["waxing_crescent_moon"],"Nature",121,null,null,null],["FIRST QUARTER MOON SYMBOL","1F313","first_quarter_moon",["first_quarter_moon"],"Nature",122,null,null,null],["WAXING GIBBOUS MOON SYMBOL","1F314","moon",["moon","waxing_gibbous_moon"],"Nature",123,null,null,null],["FULL MOON SYMBOL","1F315","full_moon",["full_moon"],"Nature",116,null,null,null],["WANING GIBBOUS MOON SYMBOL","1F316","waning_gibbous_moon",["waning_gibbous_moon"],"Nature",117,null,null,null],["LAST QUARTER MOON SYMBOL","1F317","last_quarter_moon",["last_quarter_moon"],"Nature",118,null,null,null],["WANING CRESCENT MOON SYMBOL","1F318","waning_crescent_moon",["waning_crescent_moon"],"Nature",119,null,null,null],["CRESCENT MOON","1F319","crescent_moon",["crescent_moon"],"Nature",129,null,null,null],["NEW MOON WITH FACE","1F31A","new_moon_with_face",["new_moon_with_face"],"Nature",124,null,null,null],["FIRST QUARTER MOON WITH FACE","1F31B","first_quarter_moon_with_face",["first_quarter_moon_with_face"],"Nature",127,null,null,null],["LAST QUARTER MOON WITH FACE","1F31C","last_quarter_moon_with_face",["last_quarter_moon_with_face"],"Nature",128,null,null,null],["FULL MOON WITH FACE","1F31D","full_moon_with_face",["full_moon_with_face"],"Nature",125,null,null,null],["SUN WITH FACE","1F31E","sun_with_face",["sun_with_face"],"Nature",126,null,null,null],["GLOWING STAR","1F31F","star2",["star2"],"Nature",132,null,null,null],["SHOOTING STAR","1F320","stars",["stars"],"Places",110,null,null,null],["THERMOMETER","1F321","thermometer",["thermometer"],"Objects",82,null,null,null],["WHITE SUN WITH SMALL CLOUD","1F324","mostly_sunny",["mostly_sunny","sun_small_cloud"],"Nature",139,null,null,null],["WHITE SUN BEHIND CLOUD","1F325","barely_sunny",["barely_sunny","sun_behind_cloud"],"Nature",141,null,null,null],["WHITE SUN BEHIND CLOUD WITH RAIN","1F326","partly_sunny_rain",["partly_sunny_rain","sun_behind_rain_cloud"],"Nature",142,null,null,null],["CLOUD WITH RAIN","1F327","rain_cloud",["rain_cloud"],"Nature",145,null,null,null],["CLOUD WITH SNOW","1F328","snow_cloud",["snow_cloud"],"Nature",148,null,null,null],["CLOUD WITH LIGHTNING","1F329","lightning",["lightning","lightning_cloud"],"Nature",147,null,null,null],["CLOUD WITH TORNADO","1F32A","tornado",["tornado","tornado_cloud"],"Nature",154,null,null,null],["FOG","1F32B","fog",["fog"],"Nature",155,null,null,null],["WIND BLOWING FACE","1F32C","wind_blowing_face",["wind_blowing_face"],"Nature",152,null,null,null],["HOT DOG","1F32D","hotdog",["hotdog"],"Foods",39,null,null,null],["TACO","1F32E","taco",["taco"],"Foods",43,null,null,null],["BURRITO","1F32F","burrito",["burrito"],"Foods",44,null,null,null],["CHESTNUT","1F330","chestnut",["chestnut"],"Foods",24,null,null,null],["SEEDLING","1F331","seedling",["seedling"],"Nature",94,null,null,null],["EVERGREEN TREE","1F332","evergreen_tree",["evergreen_tree"],"Nature",91,null,null,null],["DECIDUOUS TREE","1F333","deciduous_tree",["deciduous_tree"],"Nature",92,null,null,null],["PALM TREE","1F334","palm_tree",["palm_tree"],"Nature",93,null,null,null],["CACTUS","1F335","cactus",["cactus"],"Nature",89,null,null,null],["HOT PEPPER","1F336","hot_pepper",["hot_pepper"],"Foods",21,null,null,null],["TULIP","1F337","tulip",["tulip"],"Nature",106,null,null,null],["CHERRY BLOSSOM","1F338","cherry_blossom",["cherry_blossom"],"Nature",111,null,null,null],["ROSE","1F339","rose",["rose"],"Nature",107,null,null,null],["HIBISCUS","1F33A","hibiscus",["hibiscus"],"Nature",112,null,null,null],["SUNFLOWER","1F33B","sunflower",["sunflower"],"Nature",109,null,null,null],["BLOSSOM","1F33C","blossom",["blossom"],"Nature",110,null,null,null],["EAR OF MAIZE","1F33D","corn",["corn"],"Foods",20,null,null,null],["EAR OF RICE","1F33E","ear_of_rice",["ear_of_rice"],"Nature",104,null,null,null],["HERB","1F33F","herb",["herb"],"Nature",95,null,null,null],["FOUR LEAF CLOVER","1F340","four_leaf_clover",["four_leaf_clover"],"Nature",97,null,null,null],["MAPLE LEAF","1F341","maple_leaf",["maple_leaf"],"Nature",102,null,null,null],["FALLEN LEAF","1F342","fallen_leaf",["fallen_leaf"],"Nature",101,null,null,null],["LEAF FLUTTERING IN WIND","1F343","leaves",["leaves"],"Nature",100,null,null,null],["MUSHROOM","1F344","mushroom",["mushroom"],"Nature",103,null,null,null],["TOMATO","1F345","tomato",["tomato"],"Foods",16,null,null,null],["AUBERGINE","1F346","eggplant",["eggplant"],"Foods",17,null,null,null],["GRAPES","1F347","grapes",["grapes"],"Foods",8,null,null,null],["MELON","1F348","melon",["melon"],"Foods",10,null,null,null],["WATERMELON","1F349","watermelon",["watermelon"],"Foods",7,null,null,null],["TANGERINE","1F34A","tangerine",["tangerine"],"Foods",4,null,null,null],["LEMON","1F34B","lemon",["lemon"],"Foods",5,null,null,null],["BANANA","1F34C","banana",["banana"],"Foods",6,null,null,null],["PINEAPPLE","1F34D","pineapple",["pineapple"],"Foods",13,null,null,null],["RED APPLE","1F34E","apple",["apple"],"Foods",2,null,null,null],["GREEN APPLE","1F34F","green_apple",["green_apple"],"Foods",1,null,null,null],["PEAR","1F350","pear",["pear"],"Foods",3,null,null,null],["PEACH","1F351","peach",["peach"],"Foods",12,null,null,null],["CHERRIES","1F352","cherries",["cherries"],"Foods",11,null,null,null],["STRAWBERRY","1F353","strawberry",["strawberry"],"Foods",9,null,null,null],["HAMBURGER","1F354","hamburger",["hamburger"],"Foods",40,null,null,null],["SLICE OF PIZZA","1F355","pizza",["pizza"],"Foods",38,null,null,null],["MEAT ON BONE","1F356","meat_on_bone",["meat_on_bone"],"Foods",37,null,null,null],["POULTRY LEG","1F357","poultry_leg",["poultry_leg"],"Foods",36,null,null,null],["RICE CRACKER","1F358","rice_cracker",["rice_cracker"],"Foods",56,null,null,null],["RICE BALL","1F359","rice_ball",["rice_ball"],"Foods",55,null,null,null],["COOKED RICE","1F35A","rice",["rice"],"Foods",54,null,null,null],["CURRY AND RICE","1F35B","curry",["curry"],"Foods",53,null,null,null],["STEAMING BOWL","1F35C","ramen",["ramen"],"Foods",48,null,null,null],["SPAGHETTI","1F35D","spaghetti",["spaghetti"],"Foods",47,null,null,null],["BREAD","1F35E","bread",["bread"],"Foods",28,null,null,null],["FRENCH FRIES","1F35F","fries",["fries"],"Foods",41,null,null,null],["ROASTED SWEET POTATO","1F360","sweet_potato",["sweet_potato"],"Foods",23,null,null,null],["DANGO","1F361","dango",["dango"],"Foods",58,null,null,null],["ODEN","1F362","oden",["oden"],"Foods",57,null,null,null],["SUSHI","1F363","sushi",["sushi"],"Foods",51,null,null,null],["FRIED SHRIMP","1F364","fried_shrimp",["fried_shrimp"],"Foods",35,null,null,null],["FISH CAKE WITH SWIRL DESIGN","1F365","fish_cake",["fish_cake"],"Foods",50,null,null,null],["SOFT ICE CREAM","1F366","icecream",["icecream"],"Foods",61,null,null,null],["SHAVED ICE","1F367","shaved_ice",["shaved_ice"],"Foods",59,null,null,null],["ICE CREAM","1F368","ice_cream",["ice_cream"],"Foods",60,null,null,null],["DOUGHNUT","1F369","doughnut",["doughnut"],"Foods",69,null,null,null],["COOKIE","1F36A","cookie",["cookie"],"Foods",70,null,null,null],["CHOCOLATE BAR","1F36B","chocolate_bar",["chocolate_bar"],"Foods",67,null,null,null],["CANDY","1F36C","candy",["candy"],"Foods",66,null,null,null],["LOLLIPOP","1F36D","lollipop",["lollipop"],"Foods",65,null,null,null],["CUSTARD","1F36E","custard",["custard"],"Foods",64,null,null,null],["HONEY POT","1F36F","honey_pot",["honey_pot"],"Foods",26,null,null,null],["SHORTCAKE","1F370","cake",["cake"],"Foods",62,null,null,null],["BENTO BOX","1F371","bento",["bento"],"Foods",52,null,null,null],["POT OF FOOD","1F372","stew",["stew"],"Foods",49,null,null,null],["COOKING","1F373","fried_egg",["fried_egg","cooking"],"Foods",32,null,null,null],["FORK AND KNIFE","1F374","fork_and_knife",["fork_and_knife"],"Foods",85,null,null,null],["TEACUP WITHOUT HANDLE","1F375","tea",["tea"],"Foods",74,null,null,null],["SAKE BOTTLE AND CUP","1F376","sake",["sake"],"Foods",75,null,null,null],["WINE GLASS","1F377","wine_glass",["wine_glass"],"Foods",79,null,null,null],["COCKTAIL GLASS","1F378","cocktail",["cocktail"],"Foods",81,null,null,null],["TROPICAL DRINK","1F379","tropical_drink",["tropical_drink"],"Foods",82,null,null,null],["BEER MUG","1F37A","beer",["beer"],"Foods",76,null,null,null],["CLINKING BEER MUGS","1F37B","beers",["beers"],"Foods",77,null,null,null],["BABY BOTTLE","1F37C","baby_bottle",["baby_bottle"],"Foods",72,null,null,null],["FORK AND KNIFE WITH PLATE","1F37D","knife_fork_plate",["knife_fork_plate"],"Foods",86,null,null,null],["BOTTLE WITH POPPING CORK","1F37E","champagne",["champagne"],"Foods",83,null,null,null],["POPCORN","1F37F","popcorn",["popcorn"],"Foods",68,null,null,null],["RIBBON","1F380","ribbon",["ribbon"],"Objects",101,null,null,null],["WRAPPED PRESENT","1F381","gift",["gift"],"Objects",98,null,null,null],["BIRTHDAY CAKE","1F382","birthday",["birthday"],"Foods",63,null,null,null],["JACK-O-LANTERN","1F383","jack_o_lantern",["jack_o_lantern"],"People",87,null,null,null],["CHRISTMAS TREE","1F384","christmas_tree",["christmas_tree"],"Nature",90,null,null,null],["FATHER CHRISTMAS","1F385","santa",["santa"],"People",194,true,null,null],["FIREWORKS","1F386","fireworks",["fireworks"],"Places",112,null,null,null],["FIREWORK SPARKLER","1F387","sparkler",["sparkler"],"Places",111,null,null,null],["BALLOON","1F388","balloon",["balloon"],"Objects",99,null,null,null],["PARTY POPPER","1F389","tada",["tada"],"Objects",103,null,null,null],["CONFETTI BALL","1F38A","confetti_ball",["confetti_ball"],"Objects",102,null,null,null],["TANABATA TREE","1F38B","tanabata_tree",["tanabata_tree"],"Nature",99,null,null,null],["CROSSED FLAGS","1F38C","crossed_flags",["crossed_flags"],"Flags",118,null,null,null],["PINE DECORATION","1F38D","bamboo",["bamboo"],"Nature",98,null,null,null],["JAPANESE DOLLS","1F38E","dolls",["dolls"],"Objects",104,null,null,null],["CARP STREAMER","1F38F","flags",["flags"],"Objects",100,null,null,null],["WIND CHIME","1F390","wind_chime",["wind_chime"],"Objects",106,null,null,null],["MOON VIEWING CEREMONY","1F391","rice_scene",["rice_scene"],"Places",106,null,null,null],["SCHOOL SATCHEL","1F392","school_satchel",["school_satchel"],"People",285,null,null,null],["GRADUATION CAP","1F393","mortar_board",["mortar_board"],"People",282,null,null,null],["MILITARY MEDAL","1F396","medal",["medal"],"Activity",56,null,null,null],["REMINDER RIBBON","1F397","reminder_ribbon",["reminder_ribbon"],"Activity",62,null,null,null],["STUDIO MICROPHONE","1F399","studio_microphone",["studio_microphone"],"Objects",29,null,null,null],["LEVEL SLIDER","1F39A","level_slider",["level_slider"],"Objects",30,null,null,null],["CONTROL KNOBS","1F39B","control_knobs",["control_knobs"],"Objects",31,null,null,null],["FILM FRAMES","1F39E","film_frames",["film_frames"],"Objects",22,null,null,null],["ADMISSION TICKETS","1F39F","admission_tickets",["admission_tickets"],"Activity",64,null,null,null],["CAROUSEL HORSE","1F3A0","carousel_horse",["carousel_horse"],"Places",69,null,null,null],["FERRIS WHEEL","1F3A1","ferris_wheel",["ferris_wheel"],"Places",67,null,null,null],["ROLLER COASTER","1F3A2","roller_coaster",["roller_coaster"],"Places",68,null,null,null],["FISHING POLE AND FISH","1F3A3","fishing_pole_and_fish",["fishing_pole_and_fish"],"Activity",17,null,null,null],["MICROPHONE","1F3A4","microphone",["microphone"],"Activity",72,null,null,null],["MOVIE CAMERA","1F3A5","movie_camera",["movie_camera"],"Objects",20,null,null,null],["CINEMA","1F3A6","cinema",["cinema"],"Symbols",126,null,null,null],["HEADPHONE","1F3A7","headphones",["headphones"],"Activity",73,null,null,null],["ARTIST PALETTE","1F3A8","art",["art"],"Activity",70,null,null,null],["TOP HAT","1F3A9","tophat",["tophat"],"People",281,null,null,null],["CIRCUS TENT","1F3AA","circus_tent",["circus_tent"],"Activity",65,null,null,null],["TICKET","1F3AB","ticket",["ticket"],"Activity",63,null,null,null],["CLAPPER BOARD","1F3AC","clapper",["clapper"],"Activity",71,null,null,null],["PERFORMING ARTS","1F3AD","performing_arts",["performing_arts"],"Activity",69,null,null,null],["VIDEO GAME","1F3AE","video_game",["video_game"],"Activity",84,null,null,null],["DIRECT HIT","1F3AF","dart",["dart"],"Activity",82,null,null,null],["SLOT MACHINE","1F3B0","slot_machine",["slot_machine"],"Activity",85,null,null,null],["BILLIARDS","1F3B1","8ball",["8ball"],"Activity",8,null,null,null],["GAME DIE","1F3B2","game_die",["game_die"],"Activity",81,null,null,null],["BOWLING","1F3B3","bowling",["bowling"],"Activity",83,null,null,null],["FLOWER PLAYING CARDS","1F3B4","flower_playing_cards",["flower_playing_cards"],"Symbols",248,null,null,null],["MUSICAL NOTE","1F3B5","musical_note",["musical_note"],"Symbols",188,null,null,null],["MULTIPLE MUSICAL NOTES","1F3B6","notes",["notes"],"Symbols",189,null,null,null],["SAXOPHONE","1F3B7","saxophone",["saxophone"],"Activity",77,null,null,null],["GUITAR","1F3B8","guitar",["guitar"],"Activity",79,null,null,null],["MUSICAL KEYBOARD","1F3B9","musical_keyboard",["musical_keyboard"],"Activity",75,null,null,null],["TRUMPET","1F3BA","trumpet",["trumpet"],"Activity",78,null,null,null],["VIOLIN","1F3BB","violin",["violin"],"Activity",80,null,null,null],["MUSICAL SCORE","1F3BC","musical_score",["musical_score"],"Activity",74,null,null,null],["RUNNING SHIRT WITH SASH","1F3BD","running_shirt_with_sash",["running_shirt_with_sash"],"Activity",54,null,null,null],["TENNIS RACQUET AND BALL","1F3BE","tennis",["tennis"],"Activity",5,null,null,null],["SKI AND SKI BOOT","1F3BF","ski",["ski"],"Activity",21,null,null,null],["BASKETBALL AND HOOP","1F3C0","basketball",["basketball"],"Activity",2,null,null,null],["CHEQUERED FLAG","1F3C1","checkered_flag",["checkered_flag"],"Flags",3,null,null,null],["SNOWBOARDER","1F3C2","snowboarder",["snowboarder"],"Activity",23,true,null,null],["RUNNER","1F3C3","runner",["runner","running"],"People",233,true,null,null],["SURFER","1F3C4","surfer",["surfer"],"Activity",41,true,null,null],["SPORTS MEDAL","1F3C5","sports_medal",["sports_medal"],"Activity",55,null,null,null],["TROPHY","1F3C6","trophy",["trophy"],"Activity",60,null,null,null],["HORSE RACING","1F3C7","horse_racing",["horse_racing"],"Activity",49,true,null,null],["AMERICAN FOOTBALL","1F3C8","football",["football"],"Activity",3,null,null,null],["RUGBY FOOTBALL","1F3C9","rugby_football",["rugby_football"],"Activity",7,null,null,null],["SWIMMER","1F3CA","swimmer",["swimmer"],"Activity",43,true,null,null],["WEIGHT LIFTER","1F3CB","weight_lifter",["weight_lifter"],"Activity",25,true,null,null],["GOLFER","1F3CC","golfer",["golfer"],"Activity",39,true,null,null],["RACING MOTORCYCLE","1F3CD","racing_motorcycle",["racing_motorcycle"],"Places",17,null,null,null],["RACING CAR","1F3CE","racing_car",["racing_car"],"Places",6,null,null,null],["CRICKET BAT AND BALL","1F3CF","cricket_bat_and_ball",["cricket_bat_and_ball"],"Activity",14,null,null,null],["VOLLEYBALL","1F3D0","volleyball",["volleyball"],"Activity",6,null,null,null],["FIELD HOCKEY STICK AND BALL","1F3D1","field_hockey_stick_and_ball",["field_hockey_stick_and_ball"],"Activity",13,null,null,null],["ICE HOCKEY STICK AND PUCK","1F3D2","ice_hockey_stick_and_puck",["ice_hockey_stick_and_puck"],"Activity",12,null,null,null],["TABLE TENNIS PADDLE AND BALL","1F3D3","table_tennis_paddle_and_ball",["table_tennis_paddle_and_ball"],"Activity",9,null,null,null],["SNOW CAPPED MOUNTAIN","1F3D4","snow_capped_mountain",["snow_capped_mountain"],"Places",74,null,null,null],["CAMPING","1F3D5","camping",["camping"],"Places",78,null,null,null],["BEACH WITH UMBRELLA","1F3D6","beach_with_umbrella",["beach_with_umbrella"],"Places",71,null,null,null],["BUILDING CONSTRUCTION","1F3D7","building_construction",["building_construction"],"Places",82,null,null,null],["HOUSE BUILDINGS","1F3D8","house_buildings",["house_buildings"],"Places",86,null,null,null],["CITYSCAPE","1F3D9","cityscape",["cityscape"],"Places",115,null,null,null],["DERELICT HOUSE BUILDING","1F3DA","derelict_house_building",["derelict_house_building"],"Places",87,null,null,null],["CLASSICAL BUILDING","1F3DB","classical_building",["classical_building"],"Places",99,null,null,null],["DESERT","1F3DC","desert",["desert"],"Places",77,null,null,null],["DESERT ISLAND","1F3DD","desert_island",["desert_island"],"Places",72,null,null,null],["NATIONAL PARK","1F3DE","national_park",["national_park"],"Places",107,null,null,null],["STADIUM","1F3DF","stadium",["stadium"],"Places",66,null,null,null],["HOUSE BUILDING","1F3E0","house",["house"],"Places",84,null,null,null],["HOUSE WITH GARDEN","1F3E1","house_with_garden",["house_with_garden"],"Places",85,null,null,null],["OFFICE BUILDING","1F3E2","office",["office"],"Places",88,null,null,null],["JAPANESE POST OFFICE","1F3E3","post_office",["post_office"],"Places",90,null,null,null],["EUROPEAN POST OFFICE","1F3E4","european_post_office",["european_post_office"],"Places",91,null,null,null],["HOSPITAL","1F3E5","hospital",["hospital"],"Places",92,null,null,null],["BANK","1F3E6","bank",["bank"],"Places",93,null,null,null],["AUTOMATED TELLER MACHINE","1F3E7","atm",["atm"],"Symbols",111,null,null,null],["HOTEL","1F3E8","hotel",["hotel"],"Places",94,null,null,null],["LOVE HOTEL","1F3E9","love_hotel",["love_hotel"],"Places",97,null,null,null],["CONVENIENCE STORE","1F3EA","convenience_store",["convenience_store"],"Places",95,null,null,null],["SCHOOL","1F3EB","school",["school"],"Places",96,null,null,null],["DEPARTMENT STORE","1F3EC","department_store",["department_store"],"Places",89,null,null,null],["FACTORY","1F3ED","factory",["factory"],"Places",83,null,null,null],["IZAKAYA LANTERN","1F3EE","izakaya_lantern",["izakaya_lantern","lantern"],"Objects",105,null,null,null],["JAPANESE CASTLE","1F3EF","japanese_castle",["japanese_castle"],"Places",65,null,null,null],["EUROPEAN CASTLE","1F3F0","european_castle",["european_castle"],"Places",64,null,null,null],["WAVING WHITE FLAG","1F3F3","waving_white_flag",["waving_white_flag"],"Flags",1,null,null,null],["WAVING BLACK FLAG","1F3F4","waving_black_flag",["waving_black_flag"],"Flags",2,null,null,null],["ROSETTE","1F3F5","rosette",["rosette"],"Activity",61,null,null,null],["LABEL","1F3F7","label",["label"],"Objects",115,null,null,null],["BADMINTON RACQUET AND SHUTTLECOCK","1F3F8","badminton_racquet_and_shuttlecock",["badminton_racquet_and_shuttlecock"],"Activity",10,null,null,null],["BOW AND ARROW","1F3F9","bow_and_arrow",["bow_and_arrow"],"Activity",16,null,null,null],["AMPHORA","1F3FA","amphora",["amphora"],"Objects",72,null,null,null],["EMOJI MODIFIER FITZPATRICK TYPE-1-2","1F3FB","skin-tone-2",["skin-tone-2"],"Skin Tones",1,null,null,null],["EMOJI MODIFIER FITZPATRICK TYPE-3","1F3FC","skin-tone-3",["skin-tone-3"],"Skin Tones",2,null,null,null],["EMOJI MODIFIER FITZPATRICK TYPE-4","1F3FD","skin-tone-4",["skin-tone-4"],"Skin Tones",3,null,null,null],["EMOJI MODIFIER FITZPATRICK TYPE-5","1F3FE","skin-tone-5",["skin-tone-5"],"Skin Tones",4,null,null,null],["EMOJI MODIFIER FITZPATRICK TYPE-6","1F3FF","skin-tone-6",["skin-tone-6"],"Skin Tones",5,null,null,null],["RAT","1F400","rat",["rat"],"Nature",84,null,null,null],["MOUSE","1F401","mouse2",["mouse2"],"Nature",83,null,null,null],["OX","1F402","ox",["ox"],"Nature",63,null,null,null],["WATER BUFFALO","1F403","water_buffalo",["water_buffalo"],"Nature",62,null,null,null],["COW","1F404","cow2",["cow2"],"Nature",64,null,null,null],["TIGER","1F405","tiger2",["tiger2"],"Nature",61,null,null,null],["LEOPARD","1F406","leopard",["leopard"],"Nature",60,null,null,null],["RABBIT","1F407","rabbit2",["rabbit2"],"Nature",82,null,null,null],["CAT","1F408","cat2",["cat2"],"Nature",78,null,null,null],["DRAGON","1F409","dragon",["dragon"],"Nature",87,null,null,null],["CROCODILE","1F40A","crocodile",["crocodile"],"Nature",59,null,null,null],["WHALE","1F40B","whale2",["whale2"],"Nature",58,null,null,null],["SNAIL","1F40C","snail",["snail"],"Nature",38,null,null,null],["SNAKE","1F40D","snake",["snake"],"Nature",45,null,null,null],["HORSE","1F40E","racehorse",["racehorse"],"Nature",71,null,null,null],["RAM","1F40F","ram",["ram"],"Nature",74,null,null,null],["GOAT","1F410","goat",["goat"],"Nature",73,null,null,null],["SHEEP","1F411","sheep",["sheep"],"Nature",75,null,null,null],["MONKEY","1F412","monkey",["monkey"],"Nature",20,null,null,null],["ROOSTER","1F413","rooster",["rooster"],"Nature",79,null,null,null],["CHICKEN","1F414","chicken",["chicken"],"Nature",21,null,null,null],["DOG","1F415","dog2",["dog2"],"Nature",76,null,null,null],["PIG","1F416","pig2",["pig2"],"Nature",72,null,null,null],["BOAR","1F417","boar",["boar"],"Nature",32,null,null,null],["ELEPHANT","1F418","elephant",["elephant"],"Nature",68,null,null,null],["OCTOPUS","1F419","octopus",["octopus"],"Nature",50,null,null,null],["SPIRAL SHELL","1F41A","shell",["shell"],"Nature",39,null,null,null],["BUG","1F41B","bug",["bug"],"Nature",36,null,null,null],["ANT","1F41C","ant",["ant"],"Nature",41,null,null,null],["HONEYBEE","1F41D","bee",["bee","honeybee"],"Nature",35,null,null,null],["LADY BEETLE","1F41E","beetle",["beetle"],"Nature",40,null,null,null],["FISH","1F41F","fish",["fish"],"Nature",53,null,null,null],["TROPICAL FISH","1F420","tropical_fish",["tropical_fish"],"Nature",52,null,null,null],["BLOWFISH","1F421","blowfish",["blowfish"],"Nature",54,null,null,null],["TURTLE","1F422","turtle",["turtle"],"Nature",44,null,null,null],["HATCHING CHICK","1F423","hatching_chick",["hatching_chick"],"Nature",25,null,null,null],["BABY CHICK","1F424","baby_chick",["baby_chick"],"Nature",24,null,null,null],["FRONT-FACING BABY CHICK","1F425","hatched_chick",["hatched_chick"],"Nature",26,null,null,null],["BIRD","1F426","bird",["bird"],"Nature",23,null,null,null],["PENGUIN","1F427","penguin",["penguin"],"Nature",22,null,null,null],["KOALA","1F428","koala",["koala"],"Nature",9,null,null,null],["POODLE","1F429","poodle",["poodle"],"Nature",77,null,null,null],["DROMEDARY CAMEL","1F42A","dromedary_camel",["dromedary_camel"],"Nature",66,null,null,null],["BACTRIAN CAMEL","1F42B","camel",["camel"],"Nature",67,null,null,null],["DOLPHIN","1F42C","dolphin",["dolphin","flipper"],"Nature",55,null,null,null],["MOUSE FACE","1F42D","mouse",["mouse"],"Nature",3,null,null,null],["COW FACE","1F42E","cow",["cow"],"Nature",12,null,null,null],["TIGER FACE","1F42F","tiger",["tiger"],"Nature",10,null,null,null],["RABBIT FACE","1F430","rabbit",["rabbit"],"Nature",5,null,null,null],["CAT FACE","1F431","cat",["cat"],"Nature",2,null,null,null],["DRAGON FACE","1F432","dragon_face",["dragon_face"],"Nature",88,null,null,null],["SPOUTING WHALE","1F433","whale",["whale"],"Nature",57,null,null,null],["HORSE FACE","1F434","horse",["horse"],"Nature",33,null,null,null],["MONKEY FACE","1F435","monkey_face",["monkey_face"],"Nature",16,null,null,[":o)"]],["DOG FACE","1F436","dog",["dog"],"Nature",1,null,null,null],["PIG FACE","1F437","pig",["pig"],"Nature",13,null,null,null],["FROG FACE","1F438","frog",["frog"],"Nature",15,null,null,null],["HAMSTER FACE","1F439","hamster",["hamster"],"Nature",4,null,null,null],["WOLF FACE","1F43A","wolf",["wolf"],"Nature",31,null,null,null],["BEAR FACE","1F43B","bear",["bear"],"Nature",7,null,null,null],["PANDA FACE","1F43C","panda_face",["panda_face"],"Nature",8,null,null,null],["PIG NOSE","1F43D","pig_nose",["pig_nose"],"Nature",14,null,null,null],["PAW PRINTS","1F43E","feet",["feet","paw_prints"],"Nature",86,null,null,null],["CHIPMUNK","1F43F","chipmunk",["chipmunk"],"Nature",85,null,null,null],["EYES","1F440","eyes",["eyes"],"People",137,null,null,null],["EYE","1F441","eye",["eye"],"People",136,null,null,null],["EAR","1F442","ear",["ear"],"People",133,true,null,null],["NOSE","1F443","nose",["nose"],"People",134,true,null,null],["MOUTH","1F444","lips",["lips"],"People",131,null,null,null],["TONGUE","1F445","tongue",["tongue"],"People",132,null,null,null],["WHITE UP POINTING BACKHAND INDEX","1F446","point_up_2",["point_up_2"],"People",114,true,null,null],["WHITE DOWN POINTING BACKHAND INDEX","1F447","point_down",["point_down"],"People",115,true,null,null],["WHITE LEFT POINTING BACKHAND INDEX","1F448","point_left",["point_left"],"People",112,true,null,null],["WHITE RIGHT POINTING BACKHAND INDEX","1F449","point_right",["point_right"],"People",113,true,null,null],["FISTED HAND SIGN","1F44A","facepunch",["facepunch","punch"],"People",104,true,null,null],["WAVING HAND SIGN","1F44B","wave",["wave"],"People",121,true,null,null],["OK HAND SIGN","1F44C","ok_hand",["ok_hand"],"People",111,true,null,null],["THUMBS UP SIGN","1F44D","+1",["+1","thumbsup"],"People",102,true,null,null],["THUMBS DOWN SIGN","1F44E","-1",["-1","thumbsdown"],"People",103,true,null,null],["CLAPPING HANDS SIGN","1F44F","clap",["clap"],"People",99,true,null,null],["OPEN HANDS SIGN","1F450","open_hands",["open_hands"],"People",97,true,null,null],["CROWN","1F451","crown",["crown"],"People",283,null,null,null],["WOMANS HAT","1F452","womans_hat",["womans_hat"],"People",280,null,null,null],["EYEGLASSES","1F453","eyeglasses",["eyeglasses"],"People",290,null,null,null],["NECKTIE","1F454","necktie",["necktie"],"People",271,null,null,null],["T-SHIRT","1F455","shirt",["shirt","tshirt"],"People",269,null,null,null],["JEANS","1F456","jeans",["jeans"],"People",270,null,null,null],["DRESS","1F457","dress",["dress"],"People",272,null,null,null],["KIMONO","1F458","kimono",["kimono"],"People",274,null,null,null],["BIKINI","1F459","bikini",["bikini"],"People",273,null,null,null],["WOMANS CLOTHES","1F45A","womans_clothes",["womans_clothes"],"People",268,null,null,null],["PURSE","1F45B","purse",["purse"],"People",287,null,null,null],["HANDBAG","1F45C","handbag",["handbag"],"People",288,null,null,null],["POUCH","1F45D","pouch",["pouch"],"People",286,null,null,null],["MANS SHOE","1F45E","mans_shoe",["mans_shoe","shoe"],"People",278,null,null,null],["ATHLETIC SHOE","1F45F","athletic_shoe",["athletic_shoe"],"People",279,null,null,null],["HIGH-HEELED SHOE","1F460","high_heel",["high_heel"],"People",275,null,null,null],["WOMANS SANDAL","1F461","sandal",["sandal"],"People",276,null,null,null],["WOMANS BOOTS","1F462","boot",["boot"],"People",277,null,null,null],["FOOTPRINTS","1F463","footprints",["footprints"],"People",135,null,null,null],["BUST IN SILHOUETTE","1F464","bust_in_silhouette",["bust_in_silhouette"],"People",139,null,null,null],["BUSTS IN SILHOUETTE","1F465","busts_in_silhouette",["busts_in_silhouette"],"People",140,null,null,null],["BOY","1F466","boy",["boy"],"People",142,true,null,null],["GIRL","1F467","girl",["girl"],"People",143,true,null,null],["MAN","1F468","man",["man"],"People",144,true,null,null],["WOMAN","1F469","woman",["woman"],"People",145,true,null,null],["FAMILY","1F46A","family",["family","man-woman-boy"],"People",243,null,null,null],["MAN AND WOMAN HOLDING HANDS","1F46B","couple",["couple","man_and_woman_holding_hands"],"People",234,null,null,null],["TWO MEN HOLDING HANDS","1F46C","two_men_holding_hands",["two_men_holding_hands"],"People",236,null,null,null],["TWO WOMEN HOLDING HANDS","1F46D","two_women_holding_hands",["two_women_holding_hands"],"People",235,null,null,null],["POLICE OFFICER","1F46E","cop",["cop"],"People",154,true,null,null],["WOMAN WITH BUNNY EARS","1F46F","dancers",["dancers"],"People",228,null,null,null],["BRIDE WITH VEIL","1F470","bride_with_veil",["bride_with_veil"],"People",197,true,null,null],["PERSON WITH BLOND HAIR","1F471","person_with_blond_hair",["person_with_blond_hair"],"People",147,true,null,null],["MAN WITH GUA PI MAO","1F472","man_with_gua_pi_mao",["man_with_gua_pi_mao"],"People",150,true,null,null],["MAN WITH TURBAN","1F473","man_with_turban",["man_with_turban"],"People",152,true,null,null],["OLDER MAN","1F474","older_man",["older_man"],"People",148,true,null,null],["OLDER WOMAN","1F475","older_woman",["older_woman"],"People",149,true,null,null],["BABY","1F476","baby",["baby"],"People",141,true,null,null],["CONSTRUCTION WORKER","1F477","construction_worker",["construction_worker"],"People",156,true,null,null],["PRINCESS","1F478","princess",["princess"],"People",195,true,null,null],["JAPANESE OGRE","1F479","japanese_ogre",["japanese_ogre"],"People",78,null,null,null],["JAPANESE GOBLIN","1F47A","japanese_goblin",["japanese_goblin"],"People",79,null,null,null],["GHOST","1F47B","ghost",["ghost"],"People",81,null,null,null],["BABY ANGEL","1F47C","angel",["angel"],"People",199,true,null,null],["EXTRATERRESTRIAL ALIEN","1F47D","alien",["alien"],"People",84,null,null,null],["ALIEN MONSTER","1F47E","space_invader",["space_invader"],"People",85,null,null,null],["IMP","1F47F","imp",["imp"],"People",77,null,null,null],["SKULL","1F480","skull",["skull"],"People",82,null,null,null],["INFORMATION DESK PERSON","1F481","information_desk_person",["information_desk_person"],"People",203,true,null,null],["GUARDSMAN","1F482","guardsman",["guardsman"],"People",158,true,null,null],["DANCER","1F483","dancer",["dancer"],"People",226,true,null,null],["LIPSTICK","1F484","lipstick",["lipstick"],"People",129,null,null,null],["NAIL POLISH","1F485","nail_care",["nail_care"],"People",127,true,null,null],["FACE MASSAGE","1F486","massage",["massage"],"People",223,true,null,null],["HAIRCUT","1F487","haircut",["haircut"],"People",221,true,null,null],["BARBER POLE","1F488","barber",["barber"],"Objects",75,null,null,null],["SYRINGE","1F489","syringe",["syringe"],"Objects",81,null,null,null],["PILL","1F48A","pill",["pill"],"Objects",80,null,null,null],["KISS MARK","1F48B","kiss",["kiss"],"People",130,null,null,null],["LOVE LETTER","1F48C","love_letter",["love_letter"],"Objects",111,null,null,null],["RING","1F48D","ring",["ring"],"People",128,null,null,null],["GEM STONE","1F48E","gem",["gem"],"Objects",53,null,null,null],["KISS","1F48F","couplekiss",["couplekiss"],"People",240,null,null,null],["BOUQUET","1F490","bouquet",["bouquet"],"Nature",105,null,null,null],["COUPLE WITH HEART","1F491","couple_with_heart",["couple_with_heart"],"People",237,null,null,null],["WEDDING","1F492","wedding",["wedding"],"Places",98,null,null,null],["BEATING HEART","1F493","heartbeat",["heartbeat"],"Symbols",11,null,null,null],["BROKEN HEART","1F494","broken_heart",["broken_heart"],"Symbols",7,null,"</3",["</3"]],["TWO HEARTS","1F495","two_hearts",["two_hearts"],"Symbols",9,null,null,null],["SPARKLING HEART","1F496","sparkling_heart",["sparkling_heart"],"Symbols",13,null,null,null],["GROWING HEART","1F497","heartpulse",["heartpulse"],"Symbols",12,null,null,null],["HEART WITH ARROW","1F498","cupid",["cupid"],"Symbols",14,null,null,null],["BLUE HEART","1F499","blue_heart",["blue_heart"],"Symbols",4,null,"<3",null],["GREEN HEART","1F49A","green_heart",["green_heart"],"Symbols",3,null,"<3",null],["YELLOW HEART","1F49B","yellow_heart",["yellow_heart"],"Symbols",2,null,"<3",null],["PURPLE HEART","1F49C","purple_heart",["purple_heart"],"Symbols",5,null,"<3",null],["HEART WITH RIBBON","1F49D","gift_heart",["gift_heart"],"Symbols",15,null,null,null],["REVOLVING HEARTS","1F49E","revolving_hearts",["revolving_hearts"],"Symbols",10,null,null,null],["HEART DECORATION","1F49F","heart_decoration",["heart_decoration"],"Symbols",16,null,null,null],["DIAMOND SHAPE WITH A DOT INSIDE","1F4A0","diamond_shape_with_a_dot_inside",["diamond_shape_with_a_dot_inside"],"Symbols",107,null,null,null],["ELECTRIC LIGHT BULB","1F4A1","bulb",["bulb"],"Objects",41,null,null,null],["ANGER SYMBOL","1F4A2","anger",["anger"],"Symbols",76,null,null,null],["BOMB","1F4A3","bomb",["bomb"],"Objects",64,null,null,null],["SLEEPING SYMBOL","1F4A4","zzz",["zzz"],"Symbols",110,null,null,null],["COLLISION SYMBOL","1F4A5","boom",["boom","collision"],"Nature",136,null,null,null],["SPLASHING SWEAT SYMBOL","1F4A6","sweat_drops",["sweat_drops"],"Nature",158,null,null,null],["DROPLET","1F4A7","droplet",["droplet"],"Nature",157,null,null,null],["DASH SYMBOL","1F4A8","dash",["dash"],"Nature",153,null,null,null],["PILE OF POO","1F4A9","hankey",["hankey","poop","shit"],"People",80,null,null,null],["FLEXED BICEPS","1F4AA","muscle",["muscle"],"People",123,true,null,null],["DIZZY SYMBOL","1F4AB","dizzy",["dizzy"],"Nature",130,null,null,null],["SPEECH BALLOON","1F4AC","speech_balloon",["speech_balloon"],"Symbols",239,null,null,null],["THOUGHT BALLOON","1F4AD","thought_balloon",["thought_balloon"],"Symbols",241,null,null,null],["WHITE FLOWER","1F4AE","white_flower",["white_flower"],"Symbols",55,null,null,null],["HUNDRED POINTS SYMBOL","1F4AF","100",["100"],"Symbols",75,null,null,null],["MONEY BAG","1F4B0","moneybag",["moneybag"],"Objects",51,null,null,null],["CURRENCY EXCHANGE","1F4B1","currency_exchange",["currency_exchange"],"Symbols",195,null,null,null],["HEAVY DOLLAR SIGN","1F4B2","heavy_dollar_sign",["heavy_dollar_sign"],"Symbols",194,null,null,null],["CREDIT CARD","1F4B3","credit_card",["credit_card"],"Objects",52,null,null,null],["BANKNOTE WITH YEN SIGN","1F4B4","yen",["yen"],"Objects",48,null,null,null],["BANKNOTE WITH DOLLAR SIGN","1F4B5","dollar",["dollar"],"Objects",47,null,null,null],["BANKNOTE WITH EURO SIGN","1F4B6","euro",["euro"],"Objects",49,null,null,null],["BANKNOTE WITH POUND SIGN","1F4B7","pound",["pound"],"Objects",50,null,null,null],["MONEY WITH WINGS","1F4B8","money_with_wings",["money_with_wings"],"Objects",46,null,null,null],["CHART WITH UPWARDS TREND AND YEN SIGN","1F4B9","chart",["chart"],"Symbols",102,null,null,null],["SEAT","1F4BA","seat",["seat"],"Places",45,null,null,null],["PERSONAL COMPUTER","1F4BB","computer",["computer"],"Objects",4,null,null,null],["BRIEFCASE","1F4BC","briefcase",["briefcase"],"People",289,null,null,null],["MINIDISC","1F4BD","minidisc",["minidisc"],"Objects",12,null,null,null],["FLOPPY DISK","1F4BE","floppy_disk",["floppy_disk"],"Objects",13,null,null,null],["OPTICAL DISC","1F4BF","cd",["cd"],"Objects",14,null,null,null],["DVD","1F4C0","dvd",["dvd"],"Objects",15,null,null,null],["FILE FOLDER","1F4C1","file_folder",["file_folder"],"Objects",138,null,null,null],["OPEN FILE FOLDER","1F4C2","open_file_folder",["open_file_folder"],"Objects",139,null,null,null],["PAGE WITH CURL","1F4C3","page_with_curl",["page_with_curl"],"Objects",123,null,null,null],["PAGE FACING UP","1F4C4","page_facing_up",["page_facing_up"],"Objects",124,null,null,null],["CALENDAR","1F4C5","date",["date"],"Objects",132,null,null,null],["TEAR-OFF CALENDAR","1F4C6","calendar",["calendar"],"Objects",131,null,null,null],["CARD INDEX","1F4C7","card_index",["card_index"],"Objects",133,null,null,null],["CHART WITH UPWARDS TREND","1F4C8","chart_with_upwards_trend",["chart_with_upwards_trend"],"Objects",127,null,null,null],["CHART WITH DOWNWARDS TREND","1F4C9","chart_with_downwards_trend",["chart_with_downwards_trend"],"Objects",128,null,null,null],["BAR CHART","1F4CA","bar_chart",["bar_chart"],"Objects",126,null,null,null],["CLIPBOARD","1F4CB","clipboard",["clipboard"],"Objects",137,null,null,null],["PUSHPIN","1F4CC","pushpin",["pushpin"],"Objects",158,null,null,null],["ROUND PUSHPIN","1F4CD","round_pushpin",["round_pushpin"],"Objects",159,null,null,null],["PAPERCLIP","1F4CE","paperclip",["paperclip"],"Objects",154,null,null,null],["STRAIGHT RULER","1F4CF","straight_ruler",["straight_ruler"],"Objects",157,null,null,null],["TRIANGULAR RULER","1F4D0","triangular_ruler",["triangular_ruler"],"Objects",156,null,null,null],["BOOKMARK TABS","1F4D1","bookmark_tabs",["bookmark_tabs"],"Objects",125,null,null,null],["LEDGER","1F4D2","ledger",["ledger"],"Objects",145,null,null,null],["NOTEBOOK","1F4D3","notebook",["notebook"],"Objects",143,null,null,null],["NOTEBOOK WITH DECORATIVE COVER","1F4D4","notebook_with_decorative_cover",["notebook_with_decorative_cover"],"Objects",144,null,null,null],["CLOSED BOOK","1F4D5","closed_book",["closed_book"],"Objects",146,null,null,null],["OPEN BOOK","1F4D6","book",["book","open_book"],"Objects",151,null,null,null],["GREEN BOOK","1F4D7","green_book",["green_book"],"Objects",147,null,null,null],["BLUE BOOK","1F4D8","blue_book",["blue_book"],"Objects",148,null,null,null],["ORANGE BOOK","1F4D9","orange_book",["orange_book"],"Objects",149,null,null,null],["BOOKS","1F4DA","books",["books"],"Objects",150,null,null,null],["NAME BADGE","1F4DB","name_badge",["name_badge"],"Symbols",73,null,null,null],["SCROLL","1F4DC","scroll",["scroll"],"Objects",122,null,null,null],["MEMO","1F4DD","memo",["memo","pencil"],"Objects",166,null,null,null],["TELEPHONE RECEIVER","1F4DE","telephone_receiver",["telephone_receiver"],"Objects",23,null,null,null],["PAGER","1F4DF","pager",["pager"],"Objects",25,null,null,null],["FAX MACHINE","1F4E0","fax",["fax"],"Objects",26,null,null,null],["SATELLITE ANTENNA","1F4E1","satellite_antenna",["satellite_antenna"],"Objects",38,null,null,null],["PUBLIC ADDRESS LOUDSPEAKER","1F4E2","loudspeaker",["loudspeaker"],"Symbols",237,null,null,null],["CHEERING MEGAPHONE","1F4E3","mega",["mega"],"Symbols",236,null,null,null],["OUTBOX TRAY","1F4E4","outbox_tray",["outbox_tray"],"Objects",113,null,null,null],["INBOX TRAY","1F4E5","inbox_tray",["inbox_tray"],"Objects",112,null,null,null],["PACKAGE","1F4E6","package",["package"],"Objects",114,null,null,null],["E-MAIL SYMBOL","1F4E7","e-mail",["e-mail"],"Objects",110,null,null,null],["INCOMING ENVELOPE","1F4E8","incoming_envelope",["incoming_envelope"],"Objects",109,null,null,null],["ENVELOPE WITH DOWNWARDS ARROW ABOVE","1F4E9","envelope_with_arrow",["envelope_with_arrow"],"Objects",108,null,null,null],["CLOSED MAILBOX WITH LOWERED FLAG","1F4EA","mailbox_closed",["mailbox_closed"],"Objects",116,null,null,null],["CLOSED MAILBOX WITH RAISED FLAG","1F4EB","mailbox",["mailbox"],"Objects",117,null,null,null],["OPEN MAILBOX WITH RAISED FLAG","1F4EC","mailbox_with_mail",["mailbox_with_mail"],"Objects",118,null,null,null],["OPEN MAILBOX WITH LOWERED FLAG","1F4ED","mailbox_with_no_mail",["mailbox_with_no_mail"],"Objects",119,null,null,null],["POSTBOX","1F4EE","postbox",["postbox"],"Objects",120,null,null,null],["POSTAL HORN","1F4EF","postal_horn",["postal_horn"],"Objects",121,null,null,null],["NEWSPAPER","1F4F0","newspaper",["newspaper"],"Objects",142,null,null,null],["MOBILE PHONE","1F4F1","iphone",["iphone"],"Objects",2,null,null,null],["MOBILE PHONE WITH RIGHTWARDS ARROW AT LEFT","1F4F2","calling",["calling"],"Objects",3,null,null,null],["VIBRATION MODE","1F4F3","vibration_mode",["vibration_mode"],"Symbols",47,null,null,null],["MOBILE PHONE OFF","1F4F4","mobile_phone_off",["mobile_phone_off"],"Symbols",46,null,null,null],["NO MOBILE PHONES","1F4F5","no_mobile_phones",["no_mobile_phones"],"Symbols",83,null,null,null],["ANTENNA WITH BARS","1F4F6","signal_strength",["signal_strength"],"Symbols",127,null,null,null],["CAMERA","1F4F7","camera",["camera"],"Objects",17,null,null,null],["CAMERA WITH FLASH","1F4F8","camera_with_flash",["camera_with_flash"],"Objects",18,null,null,null],["VIDEO CAMERA","1F4F9","video_camera",["video_camera"],"Objects",19,null,null,null],["TELEVISION","1F4FA","tv",["tv"],"Objects",27,null,null,null],["RADIO","1F4FB","radio",["radio"],"Objects",28,null,null,null],["VIDEOCASSETTE","1F4FC","vhs",["vhs"],"Objects",16,null,null,null],["FILM PROJECTOR","1F4FD","film_projector",["film_projector"],"Objects",21,null,null,null],["PRAYER BEADS","1F4FF","prayer_beads",["prayer_beads"],"Objects",74,null,null,null],["TWISTED RIGHTWARDS ARROWS","1F500","twisted_rightwards_arrows",["twisted_rightwards_arrows"],"Symbols",183,null,null,null],["CLOCKWISE RIGHTWARDS AND LEFTWARDS OPEN CIRCLE ARROWS","1F501","repeat",["repeat"],"Symbols",184,null,null,null],["CLOCKWISE RIGHTWARDS AND LEFTWARDS OPEN CIRCLE ARROWS WITH CIRCLED ONE OVERLAY","1F502","repeat_one",["repeat_one"],"Symbols",185,null,null,null],["CLOCKWISE DOWNWARDS AND UPWARDS OPEN CIRCLE ARROWS","1F503","arrows_clockwise",["arrows_clockwise"],"Symbols",187,null,null,null],["ANTICLOCKWISE DOWNWARDS AND UPWARDS OPEN CIRCLE ARROWS","1F504","arrows_counterclockwise",["arrows_counterclockwise"],"Symbols",186,null,null,null],["LOW BRIGHTNESS SYMBOL","1F505","low_brightness",["low_brightness"],"Symbols",91,null,null,null],["HIGH BRIGHTNESS SYMBOL","1F506","high_brightness",["high_brightness"],"Symbols",92,null,null,null],["SPEAKER WITH CANCELLATION STROKE","1F507","mute",["mute"],"Symbols",231,null,null,null],["SPEAKER","1F508","speaker",["speaker"],"Symbols",230,null,null,null],["SPEAKER WITH ONE SOUND WAVE","1F509","sound",["sound"],"Symbols",232,null,null,null],["SPEAKER WITH THREE SOUND WAVES","1F50A","loud_sound",["loud_sound"],"Symbols",233,null,null,null],["BATTERY","1F50B","battery",["battery"],"Objects",39,null,null,null],["ELECTRIC PLUG","1F50C","electric_plug",["electric_plug"],"Objects",40,null,null,null],["LEFT-POINTING MAGNIFYING GLASS","1F50D","mag",["mag"],"Objects",168,null,null,null],["RIGHT-POINTING MAGNIFYING GLASS","1F50E","mag_right",["mag_right"],"Objects",169,null,null,null],["LOCK WITH INK PEN","1F50F","lock_with_ink_pen",["lock_with_ink_pen"],"Objects",170,null,null,null],["CLOSED LOCK WITH KEY","1F510","closed_lock_with_key",["closed_lock_with_key"],"Objects",171,null,null,null],["KEY","1F511","key",["key"],"Objects",89,null,null,null],["LOCK","1F512","lock",["lock"],"Objects",172,null,null,null],["OPEN LOCK","1F513","unlock",["unlock"],"Objects",173,null,null,null],["BELL","1F514","bell",["bell"],"Symbols",234,null,null,null],["BELL WITH CANCELLATION STROKE","1F515","no_bell",["no_bell"],"Symbols",235,null,null,null],["BOOKMARK","1F516","bookmark",["bookmark"],"Objects",152,null,null,null],["LINK SYMBOL","1F517","link",["link"],"Objects",153,null,null,null],["RADIO BUTTON","1F518","radio_button",["radio_button"],"Symbols",209,null,null,null],["BACK WITH LEFTWARDS ARROW ABOVE","1F519","back",["back"],"Symbols",203,null,null,null],["END WITH LEFTWARDS ARROW ABOVE","1F51A","end",["end"],"Symbols",202,null,null,null],["ON WITH EXCLAMATION MARK WITH LEFT RIGHT ARROW ABOVE","1F51B","on",["on"],"Symbols",204,null,null,null],["SOON WITH RIGHTWARDS ARROW ABOVE","1F51C","soon",["soon"],"Symbols",206,null,null,null],["TOP WITH UPWARDS ARROW ABOVE","1F51D","top",["top"],"Symbols",205,null,null,null],["NO ONE UNDER EIGHTEEN SYMBOL","1F51E","underage",["underage"],"Symbols",82,null,null,null],["KEYCAP TEN","1F51F","keycap_ten",["keycap_ten"],"Symbols",150,null,null,null],["INPUT SYMBOL FOR LATIN CAPITAL LETTERS","1F520","capital_abcd",["capital_abcd"],"Symbols",133,null,null,null],["INPUT SYMBOL FOR LATIN SMALL LETTERS","1F521","abcd",["abcd"],"Symbols",132,null,null,null],["INPUT SYMBOL FOR NUMBERS","1F522","1234",["1234"],"Symbols",151,null,null,null],["INPUT SYMBOL FOR SYMBOLS","1F523","symbols",["symbols"],"Symbols",129,null,null,null],["INPUT SYMBOL FOR LATIN LETTERS","1F524","abc",["abc"],"Symbols",131,null,null,null],["FIRE","1F525","fire",["fire"],"Nature",135,null,null,null],["ELECTRIC TORCH","1F526","flashlight",["flashlight"],"Objects",42,null,null,null],["WRENCH","1F527","wrench",["wrench"],"Objects",55,null,null,null],["HAMMER","1F528","hammer",["hammer"],"Objects",56,null,null,null],["NUT AND BOLT","1F529","nut_and_bolt",["nut_and_bolt"],"Objects",60,null,null,null],["HOCHO","1F52A","hocho",["hocho","knife"],"Objects",65,null,null,null],["PISTOL","1F52B","gun",["gun"],"Objects",63,null,null,null],["MICROSCOPE","1F52C","microscope",["microscope"],"Objects",78,null,null,null],["TELESCOPE","1F52D","telescope",["telescope"],"Objects",77,null,null,null],["CRYSTAL BALL","1F52E","crystal_ball",["crystal_ball"],"Objects",73,null,null,null],["SIX POINTED STAR WITH MIDDLE DOT","1F52F","six_pointed_star",["six_pointed_star"],"Symbols",23,null,null,null],["JAPANESE SYMBOL FOR BEGINNER","1F530","beginner",["beginner"],"Symbols",98,null,null,null],["TRIDENT EMBLEM","1F531","trident",["trident"],"Symbols",96,null,null,null],["BLACK SQUARE BUTTON","1F532","black_square_button",["black_square_button"],"Symbols",221,null,null,null],["WHITE SQUARE BUTTON","1F533","white_square_button",["white_square_button"],"Symbols",220,null,null,null],["LARGE RED CIRCLE","1F534","red_circle",["red_circle"],"Symbols",212,null,null,null],["LARGE BLUE CIRCLE","1F535","large_blue_circle",["large_blue_circle"],"Symbols",213,null,null,null],["LARGE ORANGE DIAMOND","1F536","large_orange_diamond",["large_orange_diamond"],"Symbols",218,null,null,null],["LARGE BLUE DIAMOND","1F537","large_blue_diamond",["large_blue_diamond"],"Symbols",219,null,null,null],["SMALL ORANGE DIAMOND","1F538","small_orange_diamond",["small_orange_diamond"],"Symbols",216,null,null,null],["SMALL BLUE DIAMOND","1F539","small_blue_diamond",["small_blue_diamond"],"Symbols",217,null,null,null],["UP-POINTING RED TRIANGLE","1F53A","small_red_triangle",["small_red_triangle"],"Symbols",214,null,null,null],["DOWN-POINTING RED TRIANGLE","1F53B","small_red_triangle_down",["small_red_triangle_down"],"Symbols",215,null,null,null],["UP-POINTING SMALL RED TRIANGLE","1F53C","arrow_up_small",["arrow_up_small"],"Symbols",167,null,null,null],["DOWN-POINTING SMALL RED TRIANGLE","1F53D","arrow_down_small",["arrow_down_small"],"Symbols",168,null,null,null],["OM SYMBOL","1F549","om_symbol",["om_symbol"],"Symbols",20,null,null,null],["DOVE OF PEACE","1F54A","dove_of_peace",["dove_of_peace"],"Nature",81,null,null,null],["KAABA","1F54B","kaaba",["kaaba"],"Places",103,null,null,null],["MOSQUE","1F54C","mosque",["mosque"],"Places",101,null,null,null],["SYNAGOGUE","1F54D","synagogue",["synagogue"],"Places",102,null,null,null],["MENORAH WITH NINE BRANCHES","1F54E","menorah_with_nine_branches",["menorah_with_nine_branches"],"Symbols",24,null,null,null],["CLOCK FACE ONE OCLOCK","1F550","clock1",["clock1"],"Symbols",250,null,null,null],["CLOCK FACE TWO OCLOCK","1F551","clock2",["clock2"],"Symbols",251,null,null,null],["CLOCK FACE THREE OCLOCK","1F552","clock3",["clock3"],"Symbols",252,null,null,null],["CLOCK FACE FOUR OCLOCK","1F553","clock4",["clock4"],"Symbols",253,null,null,null],["CLOCK FACE FIVE OCLOCK","1F554","clock5",["clock5"],"Symbols",254,null,null,null],["CLOCK FACE SIX OCLOCK","1F555","clock6",["clock6"],"Symbols",255,null,null,null],["CLOCK FACE SEVEN OCLOCK","1F556","clock7",["clock7"],"Symbols",256,null,null,null],["CLOCK FACE EIGHT OCLOCK","1F557","clock8",["clock8"],"Symbols",257,null,null,null],["CLOCK FACE NINE OCLOCK","1F558","clock9",["clock9"],"Symbols",258,null,null,null],["CLOCK FACE TEN OCLOCK","1F559","clock10",["clock10"],"Symbols",259,null,null,null],["CLOCK FACE ELEVEN OCLOCK","1F55A","clock11",["clock11"],"Symbols",260,null,null,null],["CLOCK FACE TWELVE OCLOCK","1F55B","clock12",["clock12"],"Symbols",261,null,null,null],["CLOCK FACE ONE-THIRTY","1F55C","clock130",["clock130"],"Symbols",262,null,null,null],["CLOCK FACE TWO-THIRTY","1F55D","clock230",["clock230"],"Symbols",263,null,null,null],["CLOCK FACE THREE-THIRTY","1F55E","clock330",["clock330"],"Symbols",264,null,null,null],["CLOCK FACE FOUR-THIRTY","1F55F","clock430",["clock430"],"Symbols",265,null,null,null],["CLOCK FACE FIVE-THIRTY","1F560","clock530",["clock530"],"Symbols",266,null,null,null],["CLOCK FACE SIX-THIRTY","1F561","clock630",["clock630"],"Symbols",267,null,null,null],["CLOCK FACE SEVEN-THIRTY","1F562","clock730",["clock730"],"Symbols",268,null,null,null],["CLOCK FACE EIGHT-THIRTY","1F563","clock830",["clock830"],"Symbols",269,null,null,null],["CLOCK FACE NINE-THIRTY","1F564","clock930",["clock930"],"Symbols",270,null,null,null],["CLOCK FACE TEN-THIRTY","1F565","clock1030",["clock1030"],"Symbols",271,null,null,null],["CLOCK FACE ELEVEN-THIRTY","1F566","clock1130",["clock1130"],"Symbols",272,null,null,null],["CLOCK FACE TWELVE-THIRTY","1F567","clock1230",["clock1230"],"Symbols",273,null,null,null],["CANDLE","1F56F","candle",["candle"],"Objects",43,null,null,null],["MANTELPIECE CLOCK","1F570","mantelpiece_clock",["mantelpiece_clock"],"Objects",35,null,null,null],["HOLE","1F573","hole",["hole"],"Objects",79,null,null,null],["MAN IN BUSINESS SUIT LEVITATING","1F574","man_in_business_suit_levitating",["man_in_business_suit_levitating"],"People",225,true,null,null],["SLEUTH OR SPY","1F575","sleuth_or_spy",["sleuth_or_spy"],"People",160,true,null,null],["DARK SUNGLASSES","1F576","dark_sunglasses",["dark_sunglasses"],"People",291,null,null,null],["SPIDER","1F577","spider",["spider"],"Nature",42,null,null,null],["SPIDER WEB","1F578","spider_web",["spider_web"],"Nature",43,null,null,null],["JOYSTICK","1F579","joystick",["joystick"],"Objects",10,null,null,null],["MAN DANCING","1F57A","man_dancing",["man_dancing"],"People",227,true,null,null],["LINKED PAPERCLIPS","1F587","linked_paperclips",["linked_paperclips"],"Objects",155,null,null,null],["LOWER LEFT BALLPOINT PEN","1F58A","lower_left_ballpoint_pen",["lower_left_ballpoint_pen"],"Objects",161,null,null,null],["LOWER LEFT FOUNTAIN PEN","1F58B","lower_left_fountain_pen",["lower_left_fountain_pen"],"Objects",162,null,null,null],["LOWER LEFT PAINTBRUSH","1F58C","lower_left_paintbrush",["lower_left_paintbrush"],"Objects",164,null,null,null],["LOWER LEFT CRAYON","1F58D","lower_left_crayon",["lower_left_crayon"],"Objects",165,null,null,null],["RAISED HAND WITH FINGERS SPLAYED","1F590","raised_hand_with_fingers_splayed",["raised_hand_with_fingers_splayed"],"People",119,true,null,null],["REVERSED HAND WITH MIDDLE FINGER EXTENDED","1F595","middle_finger",["middle_finger","reversed_hand_with_middle_finger_extended"],"People",124,true,null,null],["RAISED HAND WITH PART BETWEEN MIDDLE AND RING FINGERS","1F596","spock-hand",["spock-hand"],"People",120,true,null,null],["BLACK HEART","1F5A4","black_heart",["black_heart"],"Symbols",6,null,null,null],["DESKTOP COMPUTER","1F5A5","desktop_computer",["desktop_computer"],"Objects",6,null,null,null],["PRINTER","1F5A8","printer",["printer"],"Objects",7,null,null,null],["THREE BUTTON MOUSE","1F5B1","three_button_mouse",["three_button_mouse"],"Objects",8,null,null,null],["TRACKBALL","1F5B2","trackball",["trackball"],"Objects",9,null,null,null],["FRAME WITH PICTURE","1F5BC","frame_with_picture",["frame_with_picture"],"Objects",95,null,null,null],["CARD INDEX DIVIDERS","1F5C2","card_index_dividers",["card_index_dividers"],"Objects",140,null,null,null],["CARD FILE BOX","1F5C3","card_file_box",["card_file_box"],"Objects",134,null,null,null],["FILE CABINET","1F5C4","file_cabinet",["file_cabinet"],"Objects",136,null,null,null],["WASTEBASKET","1F5D1","wastebasket",["wastebasket"],"Objects",44,null,null,null],["SPIRAL NOTE PAD","1F5D2","spiral_note_pad",["spiral_note_pad"],"Objects",129,null,null,null],["SPIRAL CALENDAR PAD","1F5D3","spiral_calendar_pad",["spiral_calendar_pad"],"Objects",130,null,null,null],["COMPRESSION","1F5DC","compression",["compression"],"Objects",11,null,null,null],["OLD KEY","1F5DD","old_key",["old_key"],"Objects",90,null,null,null],["ROLLED-UP NEWSPAPER","1F5DE","rolled_up_newspaper",["rolled_up_newspaper"],"Objects",141,null,null,null],["DAGGER KNIFE","1F5E1","dagger_knife",["dagger_knife"],"Objects",66,null,null,null],["SPEAKING HEAD IN SILHOUETTE","1F5E3","speaking_head_in_silhouette",["speaking_head_in_silhouette"],"People",138,null,null,null],["LEFT SPEECH BUBBLE","1F5E8","left_speech_bubble",["left_speech_bubble"],"Symbols",240,null,null,null],["RIGHT ANGER BUBBLE","1F5EF","right_anger_bubble",["right_anger_bubble"],"Symbols",242,null,null,null],["BALLOT BOX WITH BALLOT","1F5F3","ballot_box_with_ballot",["ballot_box_with_ballot"],"Objects",135,null,null,null],["WORLD MAP","1F5FA","world_map",["world_map"],"Places",59,null,null,null],["MOUNT FUJI","1F5FB","mount_fuji",["mount_fuji"],"Places",75,null,null,null],["TOKYO TOWER","1F5FC","tokyo_tower",["tokyo_tower"],"Places",63,null,null,null],["STATUE OF LIBERTY","1F5FD","statue_of_liberty",["statue_of_liberty"],"Places",61,null,null,null],["SILHOUETTE OF JAPAN","1F5FE","japan",["japan"],"Places",105,null,null,null],["MOYAI","1F5FF","moyai",["moyai"],"Places",60,null,null,null],["GRINNING FACE","1F600","grinning",["grinning"],"People",1,null,":D",null],["GRINNING FACE WITH SMILING EYES","1F601","grin",["grin"],"People",4,null,null,null],["FACE WITH TEARS OF JOY","1F602","joy",["joy"],"People",7,null,null,null],["SMILING FACE WITH OPEN MOUTH","1F603","smiley",["smiley"],"People",2,null,":)",["=)","=-)"]],["SMILING FACE WITH OPEN MOUTH AND SMILING EYES","1F604","smile",["smile"],"People",3,null,":)",["C:","c:",":D",":-D"]],["SMILING FACE WITH OPEN MOUTH AND COLD SWEAT","1F605","sweat_smile",["sweat_smile"],"People",6,null,null,null],["SMILING FACE WITH OPEN MOUTH AND TIGHTLY-CLOSED EYES","1F606","laughing",["laughing","satisfied"],"People",5,null,null,[":>",":->"]],["SMILING FACE WITH HALO","1F607","innocent",["innocent"],"People",11,null,null,null],["SMILING FACE WITH HORNS","1F608","smiling_imp",["smiling_imp"],"People",76,null,null,null],["WINKING FACE","1F609","wink",["wink"],"People",14,null,";)",[";)",";-)"]],["SMILING FACE WITH SMILING EYES","1F60A","blush",["blush"],"People",10,null,":)",null],["FACE SAVOURING DELICIOUS FOOD","1F60B","yum",["yum"],"People",21,null,null,null],["RELIEVED FACE","1F60C","relieved",["relieved"],"People",15,null,null,null],["SMILING FACE WITH HEART-SHAPED EYES","1F60D","heart_eyes",["heart_eyes"],"People",16,null,null,null],["SMILING FACE WITH SUNGLASSES","1F60E","sunglasses",["sunglasses"],"People",28,null,null,["8)"]],["SMIRKING FACE","1F60F","smirk",["smirk"],"People",31,null,null,null],["NEUTRAL FACE","1F610","neutral_face",["neutral_face"],"People",47,null,null,[":|",":-|"]],["EXPRESSIONLESS FACE","1F611","expressionless",["expressionless"],"People",48,null,null,null],["UNAMUSED FACE","1F612","unamused",["unamused"],"People",32,null,":(",null],["FACE WITH COLD SWEAT","1F613","sweat",["sweat"],"People",63,null,null,null],["PENSIVE FACE","1F614","pensive",["pensive"],"People",34,null,null,null],["CONFUSED FACE","1F615","confused",["confused"],"People",36,null,null,[":\\",":-\\",":/",":-/"]],["CONFOUNDED FACE","1F616","confounded",["confounded"],"People",40,null,null,null],["KISSING FACE","1F617","kissing",["kissing"],"People",18,null,null,null],["FACE THROWING A KISS","1F618","kissing_heart",["kissing_heart"],"People",17,null,null,[":*",":-*"]],["KISSING FACE WITH SMILING EYES","1F619","kissing_smiling_eyes",["kissing_smiling_eyes"],"People",19,null,null,null],["KISSING FACE WITH CLOSED EYES","1F61A","kissing_closed_eyes",["kissing_closed_eyes"],"People",20,null,null,null],["FACE WITH STUCK-OUT TONGUE","1F61B","stuck_out_tongue",["stuck_out_tongue"],"People",24,null,":p",[":p",":-p",":P",":-P",":b",":-b"]],["FACE WITH STUCK-OUT TONGUE AND WINKING EYE","1F61C","stuck_out_tongue_winking_eye",["stuck_out_tongue_winking_eye"],"People",22,null,";p",[";p",";-p",";b",";-b",";P",";-P"]],["FACE WITH STUCK-OUT TONGUE AND TIGHTLY-CLOSED EYES","1F61D","stuck_out_tongue_closed_eyes",["stuck_out_tongue_closed_eyes"],"People",23,null,null,null],["DISAPPOINTED FACE","1F61E","disappointed",["disappointed"],"People",33,null,":(",["):",":(",":-("]],["WORRIED FACE","1F61F","worried",["worried"],"People",35,null,null,null],["ANGRY FACE","1F620","angry",["angry"],"People",44,null,null,[">:(",">:-("]],["POUTING FACE","1F621","rage",["rage"],"People",45,null,null,null],["CRYING FACE","1F622","cry",["cry"],"People",59,null,":'(",[":'("]],["PERSEVERING FACE","1F623","persevere",["persevere"],"People",39,null,null,null],["FACE WITH LOOK OF TRIUMPH","1F624","triumph",["triumph"],"People",43,null,null,null],["DISAPPOINTED BUT RELIEVED FACE","1F625","disappointed_relieved",["disappointed_relieved"],"People",60,null,null,null],["FROWNING FACE WITH OPEN MOUTH","1F626","frowning",["frowning"],"People",50,null,null,null],["ANGUISHED FACE","1F627","anguished",["anguished"],"People",51,null,null,["D:"]],["FEARFUL FACE","1F628","fearful",["fearful"],"People",57,null,null,null],["WEARY FACE","1F629","weary",["weary"],"People",42,null,null,null],["SLEEPY FACE","1F62A","sleepy",["sleepy"],"People",64,null,null,null],["TIRED FACE","1F62B","tired_face",["tired_face"],"People",41,null,null,null],["GRIMACING FACE","1F62C","grimacing",["grimacing"],"People",69,null,null,null],["LOUDLY CRYING FACE","1F62D","sob",["sob"],"People",62,null,":'(",null],["FACE WITH OPEN MOUTH","1F62E","open_mouth",["open_mouth"],"People",52,null,null,[":o",":-o",":O",":-O"]],["HUSHED FACE","1F62F","hushed",["hushed"],"People",49,null,null,null],["FACE WITH OPEN MOUTH AND COLD SWEAT","1F630","cold_sweat",["cold_sweat"],"People",58,null,null,null],["FACE SCREAMING IN FEAR","1F631","scream",["scream"],"People",56,null,null,null],["ASTONISHED FACE","1F632","astonished",["astonished"],"People",53,null,null,null],["FLUSHED FACE","1F633","flushed",["flushed"],"People",55,null,null,null],["SLEEPING FACE","1F634","sleeping",["sleeping"],"People",65,null,null,null],["DIZZY FACE","1F635","dizzy_face",["dizzy_face"],"People",54,null,null,null],["FACE WITHOUT MOUTH","1F636","no_mouth",["no_mouth"],"People",46,null,null,null],["FACE WITH MEDICAL MASK","1F637","mask",["mask"],"People",73,null,null,null],["GRINNING CAT FACE WITH SMILING EYES","1F638","smile_cat",["smile_cat"],"People",89,null,null,null],["CAT FACE WITH TEARS OF JOY","1F639","joy_cat",["joy_cat"],"People",90,null,null,null],["SMILING CAT FACE WITH OPEN MOUTH","1F63A","smiley_cat",["smiley_cat"],"People",88,null,null,null],["SMILING CAT FACE WITH HEART-SHAPED EYES","1F63B","heart_eyes_cat",["heart_eyes_cat"],"People",91,null,null,null],["CAT FACE WITH WRY SMILE","1F63C","smirk_cat",["smirk_cat"],"People",92,null,null,null],["KISSING CAT FACE WITH CLOSED EYES","1F63D","kissing_cat",["kissing_cat"],"People",93,null,null,null],["POUTING CAT FACE","1F63E","pouting_cat",["pouting_cat"],"People",96,null,null,null],["CRYING CAT FACE","1F63F","crying_cat_face",["crying_cat_face"],"People",95,null,null,null],["WEARY CAT FACE","1F640","scream_cat",["scream_cat"],"People",94,null,null,null],["SLIGHTLY FROWNING FACE","1F641","slightly_frowning_face",["slightly_frowning_face"],"People",37,null,null,null],["SLIGHTLY SMILING FACE","1F642","slightly_smiling_face",["slightly_smiling_face"],"People",12,null,null,[":)","(:",":-)"]],["UPSIDE-DOWN FACE","1F643","upside_down_face",["upside_down_face"],"People",13,null,null,null],["FACE WITH ROLLING EYES","1F644","face_with_rolling_eyes",["face_with_rolling_eyes"],"People",66,null,null,null],["FACE WITH NO GOOD GESTURE","1F645","no_good",["no_good"],"People",205,true,null,null],["FACE WITH OK GESTURE","1F646","ok_woman",["ok_woman"],"People",207,true,null,null],["PERSON BOWING DEEPLY","1F647","bow",["bow"],"People",202,true,null,null],["SEE-NO-EVIL MONKEY","1F648","see_no_evil",["see_no_evil"],"Nature",17,null,null,null],["HEAR-NO-EVIL MONKEY","1F649","hear_no_evil",["hear_no_evil"],"Nature",18,null,null,null],["SPEAK-NO-EVIL MONKEY","1F64A","speak_no_evil",["speak_no_evil"],"Nature",19,null,null,null],["HAPPY PERSON RAISING ONE HAND","1F64B","raising_hand",["raising_hand"],"People",209,true,null,null],["PERSON RAISING BOTH HANDS IN CELEBRATION","1F64C","raised_hands",["raised_hands"],"People",98,true,null,null],["PERSON FROWNING","1F64D","person_frowning",["person_frowning"],"People",219,true,null,null],["PERSON WITH POUTING FACE","1F64E","person_with_pouting_face",["person_with_pouting_face"],"People",217,true,null,null],["PERSON WITH FOLDED HANDS","1F64F","pray",["pray"],"People",100,true,null,null],["ROCKET","1F680","rocket",["rocket"],"Places",43,null,null,null],["HELICOPTER","1F681","helicopter",["helicopter"],"Places",38,null,null,null],["STEAM LOCOMOTIVE","1F682","steam_locomotive",["steam_locomotive"],"Places",33,null,null,null],["RAILWAY CAR","1F683","railway_car",["railway_car"],"Places",26,null,null,null],["HIGH-SPEED TRAIN","1F684","bullettrain_side",["bullettrain_side"],"Places",30,null,null,null],["HIGH-SPEED TRAIN WITH BULLET NOSE","1F685","bullettrain_front",["bullettrain_front"],"Places",31,null,null,null],["TRAIN","1F686","train2",["train2"],"Places",34,null,null,null],["METRO","1F687","metro",["metro"],"Places",35,null,null,null],["LIGHT RAIL","1F688","light_rail",["light_rail"],"Places",32,null,null,null],["STATION","1F689","station",["station"],"Places",37,null,null,null],["TRAM","1F68A","tram",["tram"],"Places",36,null,null,null],["TRAM CAR","1F68B","train",["train"],"Places",27,null,null,null],["BUS","1F68C","bus",["bus"],"Places",4,null,null,null],["ONCOMING BUS","1F68D","oncoming_bus",["oncoming_bus"],"Places",20,null,null,null],["TROLLEYBUS","1F68E","trolleybus",["trolleybus"],"Places",5,null,null,null],["BUS STOP","1F68F","busstop",["busstop"],"Places",56,null,null,null],["MINIBUS","1F690","minibus",["minibus"],"Places",10,null,null,null],["AMBULANCE","1F691","ambulance",["ambulance"],"Places",8,null,null,null],["FIRE ENGINE","1F692","fire_engine",["fire_engine"],"Places",9,null,null,null],["POLICE CAR","1F693","police_car",["police_car"],"Places",7,null,null,null],["ONCOMING POLICE CAR","1F694","oncoming_police_car",["oncoming_police_car"],"Places",19,null,null,null],["TAXI","1F695","taxi",["taxi"],"Places",2,null,null,null],["ONCOMING TAXI","1F696","oncoming_taxi",["oncoming_taxi"],"Places",22,null,null,null],["AUTOMOBILE","1F697","car",["car","red_car"],"Places",1,null,null,null],["ONCOMING AUTOMOBILE","1F698","oncoming_automobile",["oncoming_automobile"],"Places",21,null,null,null],["RECREATIONAL VEHICLE","1F699","blue_car",["blue_car"],"Places",3,null,null,null],["DELIVERY TRUCK","1F69A","truck",["truck"],"Places",11,null,null,null],["ARTICULATED LORRY","1F69B","articulated_lorry",["articulated_lorry"],"Places",12,null,null,null],["TRACTOR","1F69C","tractor",["tractor"],"Places",13,null,null,null],["MONORAIL","1F69D","monorail",["monorail"],"Places",29,null,null,null],["MOUNTAIN RAILWAY","1F69E","mountain_railway",["mountain_railway"],"Places",28,null,null,null],["SUSPENSION RAILWAY","1F69F","suspension_railway",["suspension_railway"],"Places",25,null,null,null],["MOUNTAIN CABLEWAY","1F6A0","mountain_cableway",["mountain_cableway"],"Places",24,null,null,null],["AERIAL TRAMWAY","1F6A1","aerial_tramway",["aerial_tramway"],"Places",23,null,null,null],["SHIP","1F6A2","ship",["ship"],"Places",52,null,null,null],["ROWBOAT","1F6A3","rowboat",["rowboat"],"Activity",48,true,null,null],["SPEEDBOAT","1F6A4","speedboat",["speedboat"],"Places",49,null,null,null],["HORIZONTAL TRAFFIC LIGHT","1F6A5","traffic_light",["traffic_light"],"Places",58,null,null,null],["VERTICAL TRAFFIC LIGHT","1F6A6","vertical_traffic_light",["vertical_traffic_light"],"Places",57,null,null,null],["CONSTRUCTION SIGN","1F6A7","construction",["construction"],"Places",54,null,null,null],["POLICE CARS REVOLVING LIGHT","1F6A8","rotating_light",["rotating_light"],"Places",18,null,null,null],["TRIANGULAR FLAG ON POST","1F6A9","triangular_flag_on_post",["triangular_flag_on_post"],"Flags",4,null,null,null],["DOOR","1F6AA","door",["door"],"Objects",91,null,null,null],["NO ENTRY SIGN","1F6AB","no_entry_sign",["no_entry_sign"],"Symbols",74,null,null,null],["SMOKING SYMBOL","1F6AC","smoking",["smoking"],"Objects",69,null,null,null],["NO SMOKING SYMBOL","1F6AD","no_smoking",["no_smoking"],"Symbols",84,null,null,null],["PUT LITTER IN ITS PLACE SYMBOL","1F6AE","put_litter_in_its_place",["put_litter_in_its_place"],"Symbols",125,null,null,null],["DO NOT LITTER SYMBOL","1F6AF","do_not_litter",["do_not_litter"],"Symbols",79,null,null,null],["POTABLE WATER SYMBOL","1F6B0","potable_water",["potable_water"],"Objects",84,null,null,null],["NON-POTABLE WATER SYMBOL","1F6B1","non-potable_water",["non-potable_water"],"Symbols",81,null,null,null],["BICYCLE","1F6B2","bike",["bike"],"Places",15,null,null,null],["NO BICYCLES","1F6B3","no_bicycles",["no_bicycles"],"Symbols",80,null,null,null],["BICYCLIST","1F6B4","bicyclist",["bicyclist"],"Activity",51,true,null,null],["MOUNTAIN BICYCLIST","1F6B5","mountain_bicyclist",["mountain_bicyclist"],"Activity",53,true,null,null],["PEDESTRIAN","1F6B6","walking",["walking"],"People",231,true,null,null],["NO PEDESTRIANS","1F6B7","no_pedestrians",["no_pedestrians"],"Symbols",78,null,null,null],["CHILDREN CROSSING","1F6B8","children_crossing",["children_crossing"],"Symbols",95,null,null,null],["MENS SYMBOL","1F6B9","mens",["mens"],"Symbols",121,null,null,null],["WOMENS SYMBOL","1F6BA","womens",["womens"],"Symbols",122,null,null,null],["RESTROOM","1F6BB","restroom",["restroom"],"Symbols",124,null,null,null],["BABY SYMBOL","1F6BC","baby_symbol",["baby_symbol"],"Symbols",123,null,null,null],["TOILET","1F6BD","toilet",["toilet"],"Objects",83,null,null,null],["WATER CLOSET","1F6BE","wc",["wc"],"Symbols",112,null,null,null],["SHOWER","1F6BF","shower",["shower"],"Objects",85,null,null,null],["BATH","1F6C0","bath",["bath"],"Objects",87,true,null,null],["BATHTUB","1F6C1","bathtub",["bathtub"],"Objects",86,null,null,null],["PASSPORT CONTROL","1F6C2","passport_control",["passport_control"],"Symbols",117,null,null,null],["CUSTOMS","1F6C3","customs",["customs"],"Symbols",118,null,null,null],["BAGGAGE CLAIM","1F6C4","baggage_claim",["baggage_claim"],"Symbols",119,null,null,null],["LEFT LUGGAGE","1F6C5","left_luggage",["left_luggage"],"Symbols",120,null,null,null],["COUCH AND LAMP","1F6CB","couch_and_lamp",["couch_and_lamp"],"Objects",92,null,null,null],["SLEEPING ACCOMMODATION","1F6CC","sleeping_accommodation",["sleeping_accommodation"],"Objects",94,true,null,null],["SHOPPING BAGS","1F6CD","shopping_bags",["shopping_bags"],"Objects",96,null,null,null],["BELLHOP BELL","1F6CE","bellhop_bell",["bellhop_bell"],"Objects",88,null,null,null],["BED","1F6CF","bed",["bed"],"Objects",93,null,null,null],["PLACE OF WORSHIP","1F6D0","place_of_worship",["place_of_worship"],"Symbols",27,null,null,null],["OCTAGONAL SIGN","1F6D1","octagonal_sign",["octagonal_sign"],"Symbols",71,null,null,null],["SHOPPING TROLLEY","1F6D2","shopping_trolley",["shopping_trolley"],"Objects",97,null,null,null],["HAMMER AND WRENCH","1F6E0","hammer_and_wrench",["hammer_and_wrench"],"Objects",58,null,null,null],["SHIELD","1F6E1","shield",["shield"],"Objects",68,null,null,null],["OIL DRUM","1F6E2","oil_drum",["oil_drum"],"Objects",45,null,null,null],["MOTORWAY","1F6E3","motorway",["motorway"],"Places",81,null,null,null],["RAILWAY TRACK","1F6E4","railway_track",["railway_track"],"Places",80,null,null,null],["MOTOR BOAT","1F6E5","motor_boat",["motor_boat"],"Places",48,null,null,null],["SMALL AIRPLANE","1F6E9","small_airplane",["small_airplane"],"Places",39,null,null,null],["AIRPLANE DEPARTURE","1F6EB","airplane_departure",["airplane_departure"],"Places",41,null,null,null],["AIRPLANE ARRIVING","1F6EC","airplane_arriving",["airplane_arriving"],"Places",42,null,null,null],["SATELLITE","1F6F0","satellite",["satellite"],"Places",44,null,null,null],["PASSENGER SHIP","1F6F3","passenger_ship",["passenger_ship"],"Places",50,null,null,null],["SCOOTER","1F6F4","scooter",["scooter"],"Places",14,null,null,null],["MOTOR SCOOTER","1F6F5","motor_scooter",["motor_scooter"],"Places",16,null,null,null],["CANOE","1F6F6","canoe",["canoe"],"Places",46,null,null,null],["ZIPPER-MOUTH FACE","1F910","zipper_mouth_face",["zipper_mouth_face"],"People",70,null,null,null],["MONEY-MOUTH FACE","1F911","money_mouth_face",["money_mouth_face"],"People",25,null,null,null],["FACE WITH THERMOMETER","1F912","face_with_thermometer",["face_with_thermometer"],"People",74,null,null,null],["NERD FACE","1F913","nerd_face",["nerd_face"],"People",27,null,null,null],["THINKING FACE","1F914","thinking_face",["thinking_face"],"People",67,null,null,null],["FACE WITH HEAD-BANDAGE","1F915","face_with_head_bandage",["face_with_head_bandage"],"People",75,null,null,null],["ROBOT FACE","1F916","robot_face",["robot_face"],"People",86,null,null,null],["HUGGING FACE","1F917","hugging_face",["hugging_face"],"People",26,null,null,null],["SIGN OF THE HORNS","1F918","the_horns",["the_horns","sign_of_the_horns"],"People",110,true,null,null],["CALL ME HAND","1F919","call_me_hand",["call_me_hand"],"People",122,true,null,null],["RAISED BACK OF HAND","1F91A","raised_back_of_hand",["raised_back_of_hand"],"People",118,true,null,null],["LEFT-FACING FIST","1F91B","left-facing_fist",["left-facing_fist"],"People",106,true,null,null],["RIGHT-FACING FIST","1F91C","right-facing_fist",["right-facing_fist"],"People",107,true,null,null],["HANDSHAKE","1F91D","handshake",["handshake"],"People",101,null,null,null],["HAND WITH INDEX AND MIDDLE FINGERS CROSSED","1F91E","hand_with_index_and_middle_fingers_crossed",["hand_with_index_and_middle_fingers_crossed"],"People",108,true,null,null],["FACE WITH COWBOY HAT","1F920","face_with_cowboy_hat",["face_with_cowboy_hat"],"People",30,null,null,null],["CLOWN FACE","1F921","clown_face",["clown_face"],"People",29,null,null,null],["NAUSEATED FACE","1F922","nauseated_face",["nauseated_face"],"People",71,null,null,null],["ROLLING ON THE FLOOR LAUGHING","1F923","rolling_on_the_floor_laughing",["rolling_on_the_floor_laughing"],"People",8,null,null,null],["DROOLING FACE","1F924","drooling_face",["drooling_face"],"People",61,null,null,null],["LYING FACE","1F925","lying_face",["lying_face"],"People",68,null,null,null],["FACE PALM","1F926","face_palm",["face_palm"],"People",211,true,null,null],["SNEEZING FACE","1F927","sneezing_face",["sneezing_face"],"People",72,null,null,null],["PREGNANT WOMAN","1F930","pregnant_woman",["pregnant_woman"],"People",200,true,null,null],["SELFIE","1F933","selfie",["selfie"],"People",126,true,null,null],["PRINCE","1F934","prince",["prince"],"People",196,true,null,null],["MAN IN TUXEDO","1F935","man_in_tuxedo",["man_in_tuxedo"],"People",198,true,null,null],["MOTHER CHRISTMAS","1F936","mother_christmas",["mother_christmas"],"People",193,true,null,null],["SHRUG","1F937","shrug",["shrug"],"People",214,true,null,null],["PERSON DOING CARTWHEEL","1F938","person_doing_cartwheel",["person_doing_cartwheel"],"Activity",30,true,null,null],["JUGGLING","1F939","juggling",["juggling"],"Activity",66,true,null,null],["FENCER","1F93A","fencer",["fencer"],"Activity",26,null,null,null],["WRESTLERS","1F93C","wrestlers",["wrestlers"],"Activity",27,null,null,null],["WATER POLO","1F93D","water_polo",["water_polo"],"Activity",44,true,null,null],["HANDBALL","1F93E","handball",["handball"],"Activity",35,true,null,null],["WILTED FLOWER","1F940","wilted_flower",["wilted_flower"],"Nature",108,null,null,null],["DRUM WITH DRUMSTICKS","1F941","drum_with_drumsticks",["drum_with_drumsticks"],"Activity",76,null,null,null],["CLINKING GLASSES","1F942","clinking_glasses",["clinking_glasses"],"Foods",78,null,null,null],["TUMBLER GLASS","1F943","tumbler_glass",["tumbler_glass"],"Foods",80,null,null,null],["SPOON","1F944","spoon",["spoon"],"Foods",84,null,null,null],["GOAL NET","1F945","goal_net",["goal_net"],"Activity",11,null,null,null],["FIRST PLACE MEDAL","1F947","first_place_medal",["first_place_medal"],"Activity",57,null,null,null],["SECOND PLACE MEDAL","1F948","second_place_medal",["second_place_medal"],"Activity",58,null,null,null],["THIRD PLACE MEDAL","1F949","third_place_medal",["third_place_medal"],"Activity",59,null,null,null],["BOXING GLOVE","1F94A","boxing_glove",["boxing_glove"],"Activity",18,null,null,null],["MARTIAL ARTS UNIFORM","1F94B","martial_arts_uniform",["martial_arts_uniform"],"Activity",19,null,null,null],["CROISSANT","1F950","croissant",["croissant"],"Foods",27,null,null,null],["AVOCADO","1F951","avocado",["avocado"],"Foods",15,null,null,null],["CUCUMBER","1F952","cucumber",["cucumber"],"Foods",18,null,null,null],["BACON","1F953","bacon",["bacon"],"Foods",33,null,null,null],["POTATO","1F954","potato",["potato"],"Foods",22,null,null,null],["CARROT","1F955","carrot",["carrot"],"Foods",19,null,null,null],["BAGUETTE BREAD","1F956","baguette_bread",["baguette_bread"],"Foods",29,null,null,null],["GREEN SALAD","1F957","green_salad",["green_salad"],"Foods",45,null,null,null],["SHALLOW PAN OF FOOD","1F958","shallow_pan_of_food",["shallow_pan_of_food"],"Foods",46,null,null,null],["STUFFED FLATBREAD","1F959","stuffed_flatbread",["stuffed_flatbread"],"Foods",42,null,null,null],["EGG","1F95A","egg",["egg"],"Foods",31,null,null,null],["GLASS OF MILK","1F95B","glass_of_milk",["glass_of_milk"],"Foods",71,null,null,null],["PEANUTS","1F95C","peanuts",["peanuts"],"Foods",25,null,null,null],["KIWIFRUIT","1F95D","kiwifruit",["kiwifruit"],"Foods",14,null,null,null],["PANCAKES","1F95E","pancakes",["pancakes"],"Foods",34,null,null,null],["CRAB","1F980","crab",["crab"],"Nature",48,null,null,null],["LION FACE","1F981","lion_face",["lion_face"],"Nature",11,null,null,null],["SCORPION","1F982","scorpion",["scorpion"],"Nature",47,null,null,null],["TURKEY","1F983","turkey",["turkey"],"Nature",80,null,null,null],["UNICORN FACE","1F984","unicorn_face",["unicorn_face"],"Nature",34,null,null,null],["EAGLE","1F985","eagle",["eagle"],"Nature",28,null,null,null],["DUCK","1F986","duck",["duck"],"Nature",27,null,null,null],["BAT","1F987","bat",["bat"],"Nature",30,null,null,null],["SHARK","1F988","shark",["shark"],"Nature",56,null,null,null],["OWL","1F989","owl",["owl"],"Nature",29,null,null,null],["FOX FACE","1F98A","fox_face",["fox_face"],"Nature",6,null,null,null],["BUTTERFLY","1F98B","butterfly",["butterfly"],"Nature",37,null,null,null],["DEER","1F98C","deer",["deer"],"Nature",65,null,null,null],["GORILLA","1F98D","gorilla",["gorilla"],"Nature",70,null,null,null],["LIZARD","1F98E","lizard",["lizard"],"Nature",46,null,null,null],["RHINOCEROS","1F98F","rhinoceros",["rhinoceros"],"Nature",69,null,null,null],["SHRIMP","1F990","shrimp",["shrimp"],"Nature",51,null,null,null],["SQUID","1F991","squid",["squid"],"Nature",49,null,null,null],["CHEESE WEDGE","1F9C0","cheese_wedge",["cheese_wedge"],"Foods",30,null,null,null],["HASH KEY","0023-20E3","hash",["hash"],"Symbols",152,null,null,null],[null,"002A-20E3","keycap_star",["keycap_star"],"Symbols",153,null,null,null],["KEYCAP 0","0030-20E3","zero",["zero"],"Symbols",140,null,null,null],["KEYCAP 1","0031-20E3","one",["one"],"Symbols",141,null,null,null],["KEYCAP 2","0032-20E3","two",["two"],"Symbols",142,null,null,null],["KEYCAP 3","0033-20E3","three",["three"],"Symbols",143,null,null,null],["KEYCAP 4","0034-20E3","four",["four"],"Symbols",144,null,null,null],["KEYCAP 5","0035-20E3","five",["five"],"Symbols",145,null,null,null],["KEYCAP 6","0036-20E3","six",["six"],"Symbols",146,null,null,null],["KEYCAP 7","0037-20E3","seven",["seven"],"Symbols",147,null,null,null],["KEYCAP 8","0038-20E3","eight",["eight"],"Symbols",148,null,null,null],["KEYCAP 9","0039-20E3","nine",["nine"],"Symbols",149,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS AC","1F1E6-1F1E8","flag-ac",["flag-ac"],"Flags",254,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS AD","1F1E6-1F1E9","flag-ad",["flag-ad"],"Flags",11,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS AE","1F1E6-1F1EA","flag-ae",["flag-ae"],"Flags",239,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS AF","1F1E6-1F1EB","flag-af",["flag-af"],"Flags",6,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS AG","1F1E6-1F1EC","flag-ag",["flag-ag"],"Flags",15,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS AI","1F1E6-1F1EE","flag-ai",["flag-ai"],"Flags",13,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS AL","1F1E6-1F1F1","flag-al",["flag-al"],"Flags",8,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS AM","1F1E6-1F1F2","flag-am",["flag-am"],"Flags",17,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS AO","1F1E6-1F1F4","flag-ao",["flag-ao"],"Flags",12,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS AQ","1F1E6-1F1F6","flag-aq",["flag-aq"],"Flags",14,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS AR","1F1E6-1F1F7","flag-ar",["flag-ar"],"Flags",16,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS AS","1F1E6-1F1F8","flag-as",["flag-as"],"Flags",10,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS AT","1F1E6-1F1F9","flag-at",["flag-at"],"Flags",20,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS AU","1F1E6-1F1FA","flag-au",["flag-au"],"Flags",19,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS AW","1F1E6-1F1FC","flag-aw",["flag-aw"],"Flags",18,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS AX","1F1E6-1F1FD","flag-ax",["flag-ax"],"Flags",7,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS AZ","1F1E6-1F1FF","flag-az",["flag-az"],"Flags",21,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS BA","1F1E7-1F1E6","flag-ba",["flag-ba"],"Flags",34,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS BB","1F1E7-1F1E7","flag-bb",["flag-bb"],"Flags",25,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS BD","1F1E7-1F1E9","flag-bd",["flag-bd"],"Flags",24,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS BE","1F1E7-1F1EA","flag-be",["flag-be"],"Flags",27,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS BF","1F1E7-1F1EB","flag-bf",["flag-bf"],"Flags",41,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS BG","1F1E7-1F1EC","flag-bg",["flag-bg"],"Flags",40,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS BH","1F1E7-1F1ED","flag-bh",["flag-bh"],"Flags",23,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS BI","1F1E7-1F1EE","flag-bi",["flag-bi"],"Flags",42,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS BJ","1F1E7-1F1EF","flag-bj",["flag-bj"],"Flags",29,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS BL","1F1E7-1F1F1","flag-bl",["flag-bl"],"Flags",191,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS BM","1F1E7-1F1F2","flag-bm",["flag-bm"],"Flags",30,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS BN","1F1E7-1F1F3","flag-bn",["flag-bn"],"Flags",39,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS BO","1F1E7-1F1F4","flag-bo",["flag-bo"],"Flags",32,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS BQ","1F1E7-1F1F6","flag-bq",["flag-bq"],"Flags",33,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS BR","1F1E7-1F1F7","flag-br",["flag-br"],"Flags",36,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS BS","1F1E7-1F1F8","flag-bs",["flag-bs"],"Flags",22,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS BT","1F1E7-1F1F9","flag-bt",["flag-bt"],"Flags",31,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS BV","1F1E7-1F1FB","flag-bv",["flag-bv"],"Flags",255,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS BW","1F1E7-1F1FC","flag-bw",["flag-bw"],"Flags",35,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS BY","1F1E7-1F1FE","flag-by",["flag-by"],"Flags",26,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS BZ","1F1E7-1F1FF","flag-bz",["flag-bz"],"Flags",28,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS CA","1F1E8-1F1E6","flag-ca",["flag-ca"],"Flags",46,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS CC","1F1E8-1F1E8","flag-cc",["flag-cc"],"Flags",54,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS CD","1F1E8-1F1E9","flag-cd",["flag-cd"],"Flags",58,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS CF","1F1E8-1F1EB","flag-cf",["flag-cf"],"Flags",49,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS CG","1F1E8-1F1EC","flag-cg",["flag-cg"],"Flags",57,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS CH","1F1E8-1F1ED","flag-ch",["flag-ch"],"Flags",221,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS CI","1F1E8-1F1EE","flag-ci",["flag-ci"],"Flags",61,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS CK","1F1E8-1F1F0","flag-ck",["flag-ck"],"Flags",59,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS CL","1F1E8-1F1F1","flag-cl",["flag-cl"],"Flags",51,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS CM","1F1E8-1F1F2","flag-cm",["flag-cm"],"Flags",45,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS CN","1F1E8-1F1F3","flag-cn",["flag-cn","cn"],"Flags",52,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS CO","1F1E8-1F1F4","flag-co",["flag-co"],"Flags",55,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS CP","1F1E8-1F1F5","flag-cp",["flag-cp"],"Flags",256,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS CR","1F1E8-1F1F7","flag-cr",["flag-cr"],"Flags",60,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS CU","1F1E8-1F1FA","flag-cu",["flag-cu"],"Flags",63,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS CV","1F1E8-1F1FB","flag-cv",["flag-cv"],"Flags",43,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS CW","1F1E8-1F1FC","flag-cw",["flag-cw"],"Flags",64,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS CX","1F1E8-1F1FD","flag-cx",["flag-cx"],"Flags",53,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS CY","1F1E8-1F1FE","flag-cy",["flag-cy"],"Flags",65,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS CZ","1F1E8-1F1FF","flag-cz",["flag-cz"],"Flags",66,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS DE","1F1E9-1F1EA","flag-de",["flag-de","de"],"Flags",90,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS DG","1F1E9-1F1EC","flag-dg",["flag-dg"],"Flags",257,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS DJ","1F1E9-1F1EF","flag-dj",["flag-dj"],"Flags",68,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS DK","1F1E9-1F1F0","flag-dk",["flag-dk"],"Flags",67,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS DM","1F1E9-1F1F2","flag-dm",["flag-dm"],"Flags",69,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS DO","1F1E9-1F1F4","flag-do",["flag-do"],"Flags",70,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS DZ","1F1E9-1F1FF","flag-dz",["flag-dz"],"Flags",9,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS EA","1F1EA-1F1E6","flag-ea",["flag-ea"],"Flags",258,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS EC","1F1EA-1F1E8","flag-ec",["flag-ec"],"Flags",71,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS EE","1F1EA-1F1EA","flag-ee",["flag-ee"],"Flags",76,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS EG","1F1EA-1F1EC","flag-eg",["flag-eg"],"Flags",72,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS EH","1F1EA-1F1ED","flag-eh",["flag-eh"],"Flags",250,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS ER","1F1EA-1F1F7","flag-er",["flag-er"],"Flags",75,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS ES","1F1EA-1F1F8","flag-es",["flag-es","es"],"Flags",215,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS ET","1F1EA-1F1F9","flag-et",["flag-et"],"Flags",77,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS EU","1F1EA-1F1FA","flag-eu",["flag-eu"],"Flags",78,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS FI","1F1EB-1F1EE","flag-fi",["flag-fi"],"Flags",82,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS FJ","1F1EB-1F1EF","flag-fj",["flag-fj"],"Flags",81,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS FK","1F1EB-1F1F0","flag-fk",["flag-fk"],"Flags",79,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS FM","1F1EB-1F1F2","flag-fm",["flag-fm"],"Flags",150,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS FO","1F1EB-1F1F4","flag-fo",["flag-fo"],"Flags",80,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS FR","1F1EB-1F1F7","flag-fr",["flag-fr","fr"],"Flags",83,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS GA","1F1EC-1F1E6","flag-ga",["flag-ga"],"Flags",87,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS GB","1F1EC-1F1E7","flag-gb",["flag-gb","gb","uk"],"Flags",240,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS GD","1F1EC-1F1E9","flag-gd",["flag-gd"],"Flags",95,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS GE","1F1EC-1F1EA","flag-ge",["flag-ge"],"Flags",89,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS GF","1F1EC-1F1EB","flag-gf",["flag-gf"],"Flags",84,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS GG","1F1EC-1F1EC","flag-gg",["flag-gg"],"Flags",99,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS GH","1F1EC-1F1ED","flag-gh",["flag-gh"],"Flags",91,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS GI","1F1EC-1F1EE","flag-gi",["flag-gi"],"Flags",92,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS GL","1F1EC-1F1F1","flag-gl",["flag-gl"],"Flags",94,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS GM","1F1EC-1F1F2","flag-gm",["flag-gm"],"Flags",88,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS GN","1F1EC-1F1F3","flag-gn",["flag-gn"],"Flags",100,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS GP","1F1EC-1F1F5","flag-gp",["flag-gp"],"Flags",96,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS GQ","1F1EC-1F1F6","flag-gq",["flag-gq"],"Flags",74,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS GR","1F1EC-1F1F7","flag-gr",["flag-gr"],"Flags",93,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS GS","1F1EC-1F1F8","flag-gs",["flag-gs"],"Flags",212,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS GT","1F1EC-1F1F9","flag-gt",["flag-gt"],"Flags",98,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS GU","1F1EC-1F1FA","flag-gu",["flag-gu"],"Flags",97,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS GW","1F1EC-1F1FC","flag-gw",["flag-gw"],"Flags",101,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS GY","1F1EC-1F1FE","flag-gy",["flag-gy"],"Flags",102,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS HK","1F1ED-1F1F0","flag-hk",["flag-hk"],"Flags",105,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS HM","1F1ED-1F1F2","flag-hm",["flag-hm"],"Flags",259,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS HN","1F1ED-1F1F3","flag-hn",["flag-hn"],"Flags",104,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS HR","1F1ED-1F1F7","flag-hr",["flag-hr"],"Flags",62,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS HT","1F1ED-1F1F9","flag-ht",["flag-ht"],"Flags",103,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS HU","1F1ED-1F1FA","flag-hu",["flag-hu"],"Flags",106,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS IC","1F1EE-1F1E8","flag-ic",["flag-ic"],"Flags",47,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS ID","1F1EE-1F1E9","flag-id",["flag-id"],"Flags",109,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS IE","1F1EE-1F1EA","flag-ie",["flag-ie"],"Flags",112,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS IL","1F1EE-1F1F1","flag-il",["flag-il"],"Flags",114,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS IM","1F1EE-1F1F2","flag-im",["flag-im"],"Flags",113,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS IN","1F1EE-1F1F3","flag-in",["flag-in"],"Flags",108,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS IO","1F1EE-1F1F4","flag-io",["flag-io"],"Flags",37,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS IQ","1F1EE-1F1F6","flag-iq",["flag-iq"],"Flags",111,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS IR","1F1EE-1F1F7","flag-ir",["flag-ir"],"Flags",110,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS IS","1F1EE-1F1F8","flag-is",["flag-is"],"Flags",107,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS IT","1F1EE-1F1F9","flag-it",["flag-it","it"],"Flags",115,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS JE","1F1EF-1F1EA","flag-je",["flag-je"],"Flags",119,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS JM","1F1EF-1F1F2","flag-jm",["flag-jm"],"Flags",116,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS JO","1F1EF-1F1F4","flag-jo",["flag-jo"],"Flags",120,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS JP","1F1EF-1F1F5","flag-jp",["flag-jp","jp"],"Flags",117,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS KE","1F1F0-1F1EA","flag-ke",["flag-ke"],"Flags",122,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS KG","1F1F0-1F1EC","flag-kg",["flag-kg"],"Flags",126,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS KH","1F1F0-1F1ED","flag-kh",["flag-kh"],"Flags",44,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS KI","1F1F0-1F1EE","flag-ki",["flag-ki"],"Flags",123,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS KM","1F1F0-1F1F2","flag-km",["flag-km"],"Flags",56,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS KN","1F1F0-1F1F3","flag-kn",["flag-kn"],"Flags",193,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS KP","1F1F0-1F1F5","flag-kp",["flag-kp"],"Flags",171,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS KR","1F1F0-1F1F7","flag-kr",["flag-kr","kr"],"Flags",213,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS KW","1F1F0-1F1FC","flag-kw",["flag-kw"],"Flags",125,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS KY","1F1F0-1F1FE","flag-ky",["flag-ky"],"Flags",48,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS KZ","1F1F0-1F1FF","flag-kz",["flag-kz"],"Flags",121,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS LA","1F1F1-1F1E6","flag-la",["flag-la"],"Flags",127,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS LB","1F1F1-1F1E7","flag-lb",["flag-lb"],"Flags",129,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS LC","1F1F1-1F1E8","flag-lc",["flag-lc"],"Flags",194,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS LI","1F1F1-1F1EE","flag-li",["flag-li"],"Flags",133,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS LK","1F1F1-1F1F0","flag-lk",["flag-lk"],"Flags",216,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS LR","1F1F1-1F1F7","flag-lr",["flag-lr"],"Flags",131,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS LS","1F1F1-1F1F8","flag-ls",["flag-ls"],"Flags",130,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS LT","1F1F1-1F1F9","flag-lt",["flag-lt"],"Flags",134,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS LU","1F1F1-1F1FA","flag-lu",["flag-lu"],"Flags",135,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS LV","1F1F1-1F1FB","flag-lv",["flag-lv"],"Flags",128,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS LY","1F1F1-1F1FE","flag-ly",["flag-ly"],"Flags",132,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS MA","1F1F2-1F1E6","flag-ma",["flag-ma"],"Flags",156,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS MC","1F1F2-1F1E8","flag-mc",["flag-mc"],"Flags",152,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS MD","1F1F2-1F1E9","flag-md",["flag-md"],"Flags",151,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS ME","1F1F2-1F1EA","flag-me",["flag-me"],"Flags",154,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS MF","1F1F2-1F1EB","flag-mf",["flag-mf"],"Flags",260,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS MG","1F1F2-1F1EC","flag-mg",["flag-mg"],"Flags",138,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS MH","1F1F2-1F1ED","flag-mh",["flag-mh"],"Flags",144,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS MK","1F1F2-1F1F0","flag-mk",["flag-mk"],"Flags",137,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS ML","1F1F2-1F1F1","flag-ml",["flag-ml"],"Flags",142,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS MM","1F1F2-1F1F2","flag-mm",["flag-mm"],"Flags",158,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS MN","1F1F2-1F1F3","flag-mn",["flag-mn"],"Flags",153,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS MO","1F1F2-1F1F4","flag-mo",["flag-mo"],"Flags",136,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS MP","1F1F2-1F1F5","flag-mp",["flag-mp"],"Flags",170,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS MQ","1F1F2-1F1F6","flag-mq",["flag-mq"],"Flags",145,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS MR","1F1F2-1F1F7","flag-mr",["flag-mr"],"Flags",146,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS MS","1F1F2-1F1F8","flag-ms",["flag-ms"],"Flags",155,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS MT","1F1F2-1F1F9","flag-mt",["flag-mt"],"Flags",143,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS MU","1F1F2-1F1FA","flag-mu",["flag-mu"],"Flags",147,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS MV","1F1F2-1F1FB","flag-mv",["flag-mv"],"Flags",141,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS MW","1F1F2-1F1FC","flag-mw",["flag-mw"],"Flags",139,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS MX","1F1F2-1F1FD","flag-mx",["flag-mx"],"Flags",149,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS MY","1F1F2-1F1FE","flag-my",["flag-my"],"Flags",140,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS MZ","1F1F2-1F1FF","flag-mz",["flag-mz"],"Flags",157,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS NA","1F1F3-1F1E6","flag-na",["flag-na"],"Flags",159,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS NC","1F1F3-1F1E8","flag-nc",["flag-nc"],"Flags",163,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS NE","1F1F3-1F1EA","flag-ne",["flag-ne"],"Flags",166,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS NF","1F1F3-1F1EB","flag-nf",["flag-nf"],"Flags",169,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS NG","1F1F3-1F1EC","flag-ng",["flag-ng"],"Flags",167,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS NI","1F1F3-1F1EE","flag-ni",["flag-ni"],"Flags",165,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS NL","1F1F3-1F1F1","flag-nl",["flag-nl"],"Flags",162,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS NO","1F1F3-1F1F4","flag-no",["flag-no"],"Flags",172,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS NP","1F1F3-1F1F5","flag-np",["flag-np"],"Flags",161,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS NR","1F1F3-1F1F7","flag-nr",["flag-nr"],"Flags",160,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS NU","1F1F3-1F1FA","flag-nu",["flag-nu"],"Flags",168,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS NZ","1F1F3-1F1FF","flag-nz",["flag-nz"],"Flags",164,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS OM","1F1F4-1F1F2","flag-om",["flag-om"],"Flags",173,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS PA","1F1F5-1F1E6","flag-pa",["flag-pa"],"Flags",177,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS PE","1F1F5-1F1EA","flag-pe",["flag-pe"],"Flags",180,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS PF","1F1F5-1F1EB","flag-pf",["flag-pf"],"Flags",85,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS PG","1F1F5-1F1EC","flag-pg",["flag-pg"],"Flags",178,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS PH","1F1F5-1F1ED","flag-ph",["flag-ph"],"Flags",181,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS PK","1F1F5-1F1F0","flag-pk",["flag-pk"],"Flags",174,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS PL","1F1F5-1F1F1","flag-pl",["flag-pl"],"Flags",183,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS PM","1F1F5-1F1F2","flag-pm",["flag-pm"],"Flags",195,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS PN","1F1F5-1F1F3","flag-pn",["flag-pn"],"Flags",182,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS PR","1F1F5-1F1F7","flag-pr",["flag-pr"],"Flags",185,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS PS","1F1F5-1F1F8","flag-ps",["flag-ps"],"Flags",176,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS PT","1F1F5-1F1F9","flag-pt",["flag-pt"],"Flags",184,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS PW","1F1F5-1F1FC","flag-pw",["flag-pw"],"Flags",175,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS PY","1F1F5-1F1FE","flag-py",["flag-py"],"Flags",179,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS QA","1F1F6-1F1E6","flag-qa",["flag-qa"],"Flags",186,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS RE","1F1F7-1F1EA","flag-re",["flag-re"],"Flags",187,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS RO","1F1F7-1F1F4","flag-ro",["flag-ro"],"Flags",188,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS RS","1F1F7-1F1F8","flag-rs",["flag-rs"],"Flags",202,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS RU","1F1F7-1F1FA","flag-ru",["flag-ru","ru"],"Flags",189,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS RW","1F1F7-1F1FC","flag-rw",["flag-rw"],"Flags",190,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS SA","1F1F8-1F1E6","flag-sa",["flag-sa"],"Flags",200,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS SB","1F1F8-1F1E7","flag-sb",["flag-sb"],"Flags",209,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS SC","1F1F8-1F1E8","flag-sc",["flag-sc"],"Flags",203,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS SD","1F1F8-1F1E9","flag-sd",["flag-sd"],"Flags",217,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS SE","1F1F8-1F1EA","flag-se",["flag-se"],"Flags",220,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS SG","1F1F8-1F1EC","flag-sg",["flag-sg"],"Flags",205,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS SH","1F1F8-1F1ED","flag-sh",["flag-sh"],"Flags",192,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS SI","1F1F8-1F1EE","flag-si",["flag-si"],"Flags",208,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS SJ","1F1F8-1F1EF","flag-sj",["flag-sj"],"Flags",261,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS SK","1F1F8-1F1F0","flag-sk",["flag-sk"],"Flags",207,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS SL","1F1F8-1F1F1","flag-sl",["flag-sl"],"Flags",204,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS SM","1F1F8-1F1F2","flag-sm",["flag-sm"],"Flags",198,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS SN","1F1F8-1F1F3","flag-sn",["flag-sn"],"Flags",201,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS SO","1F1F8-1F1F4","flag-so",["flag-so"],"Flags",210,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS SR","1F1F8-1F1F7","flag-sr",["flag-sr"],"Flags",218,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS SS","1F1F8-1F1F8","flag-ss",["flag-ss"],"Flags",214,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS ST","1F1F8-1F1F9","flag-st",["flag-st"],"Flags",199,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS SV","1F1F8-1F1FB","flag-sv",["flag-sv"],"Flags",73,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS SX","1F1F8-1F1FD","flag-sx",["flag-sx"],"Flags",206,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS SY","1F1F8-1F1FE","flag-sy",["flag-sy"],"Flags",222,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS SZ","1F1F8-1F1FF","flag-sz",["flag-sz"],"Flags",219,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS TA","1F1F9-1F1E6","flag-ta",["flag-ta"],"Flags",262,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS TC","1F1F9-1F1E8","flag-tc",["flag-tc"],"Flags",235,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS TD","1F1F9-1F1E9","flag-td",["flag-td"],"Flags",50,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS TF","1F1F9-1F1EB","flag-tf",["flag-tf"],"Flags",86,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS TG","1F1F9-1F1EC","flag-tg",["flag-tg"],"Flags",228,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS TH","1F1F9-1F1ED","flag-th",["flag-th"],"Flags",226,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS TJ","1F1F9-1F1EF","flag-tj",["flag-tj"],"Flags",224,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS TK","1F1F9-1F1F0","flag-tk",["flag-tk"],"Flags",229,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS TL","1F1F9-1F1F1","flag-tl",["flag-tl"],"Flags",227,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS TM","1F1F9-1F1F2","flag-tm",["flag-tm"],"Flags",234,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS TN","1F1F9-1F1F3","flag-tn",["flag-tn"],"Flags",232,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS TO","1F1F9-1F1F4","flag-to",["flag-to"],"Flags",230,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS TR","1F1F9-1F1F7","flag-tr",["flag-tr"],"Flags",233,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS TT","1F1F9-1F1F9","flag-tt",["flag-tt"],"Flags",231,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS TV","1F1F9-1F1FB","flag-tv",["flag-tv"],"Flags",236,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS TW","1F1F9-1F1FC","flag-tw",["flag-tw"],"Flags",223,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS TZ","1F1F9-1F1FF","flag-tz",["flag-tz"],"Flags",225,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS UA","1F1FA-1F1E6","flag-ua",["flag-ua"],"Flags",238,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS UG","1F1FA-1F1EC","flag-ug",["flag-ug"],"Flags",237,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS UM","1F1FA-1F1F2","flag-um",["flag-um"],"Flags",263,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS UN","1F1FA-1F1F3","flag-un",["flag-un"],"Flags",264,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS US","1F1FA-1F1F8","flag-us",["flag-us","us"],"Flags",241,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS UY","1F1FA-1F1FE","flag-uy",["flag-uy"],"Flags",243,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS UZ","1F1FA-1F1FF","flag-uz",["flag-uz"],"Flags",244,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS VA","1F1FB-1F1E6","flag-va",["flag-va"],"Flags",246,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS VC","1F1FB-1F1E8","flag-vc",["flag-vc"],"Flags",196,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS VE","1F1FB-1F1EA","flag-ve",["flag-ve"],"Flags",247,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS VG","1F1FB-1F1EC","flag-vg",["flag-vg"],"Flags",38,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS VI","1F1FB-1F1EE","flag-vi",["flag-vi"],"Flags",242,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS VN","1F1FB-1F1F3","flag-vn",["flag-vn"],"Flags",248,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS VU","1F1FB-1F1FA","flag-vu",["flag-vu"],"Flags",245,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS WF","1F1FC-1F1EB","flag-wf",["flag-wf"],"Flags",249,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS WS","1F1FC-1F1F8","flag-ws",["flag-ws"],"Flags",197,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS XK","1F1FD-1F1F0","flag-xk",["flag-xk"],"Flags",124,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS YE","1F1FE-1F1EA","flag-ye",["flag-ye"],"Flags",251,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS YT","1F1FE-1F1F9","flag-yt",["flag-yt"],"Flags",148,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS ZA","1F1FF-1F1E6","flag-za",["flag-za"],"Flags",211,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS ZM","1F1FF-1F1F2","flag-zm",["flag-zm"],"Flags",252,null,null,null],["REGIONAL INDICATOR SYMBOL LETTERS ZW","1F1FF-1F1FC","flag-zw",["flag-zw"],"Flags",253,null,null,null],[null,"1F468-200D-1F33E","male-farmer",["male-farmer"],"People",164,true,null,null],[null,"1F468-200D-1F373","male-cook",["male-cook"],"People",166,true,null,null],[null,"1F468-200D-1F393","male-student",["male-student"],"People",168,true,null,null],[null,"1F468-200D-1F3A4","male-singer",["male-singer"],"People",170,true,null,null],[null,"1F468-200D-1F3A8","male-artist",["male-artist"],"People",184,true,null,null],[null,"1F468-200D-1F3EB","male-teacher",["male-teacher"],"People",172,true,null,null],[null,"1F468-200D-1F3ED","male-factory-worker",["male-factory-worker"],"People",174,true,null,null],[null,"1F468-200D-1F466","man-boy",["man-boy"],"People",263,null,null,null],[null,"1F468-200D-1F467","man-girl",["man-girl"],"People",264,null,null,null],[null,"1F468-200D-1F4BB","male-technologist",["male-technologist"],"People",176,true,null,null],[null,"1F468-200D-1F4BC","male-office-worker",["male-office-worker"],"People",178,true,null,null],[null,"1F468-200D-1F527","male-mechanic",["male-mechanic"],"People",180,true,null,null],[null,"1F468-200D-1F52C","male-scientist",["male-scientist"],"People",182,true,null,null],[null,"1F468-200D-1F680","male-astronaut",["male-astronaut"],"People",190,true,null,null],[null,"1F468-200D-1F692","male-firefighter",["male-firefighter"],"People",186,true,null,null],[null,"1F469-200D-1F33E","female-farmer",["female-farmer"],"People",163,true,null,null],[null,"1F469-200D-1F373","female-cook",["female-cook"],"People",165,true,null,null],[null,"1F469-200D-1F393","female-student",["female-student"],"People",167,true,null,null],[null,"1F469-200D-1F3A4","female-singer",["female-singer"],"People",169,true,null,null],[null,"1F469-200D-1F3A8","female-artist",["female-artist"],"People",183,true,null,null],[null,"1F469-200D-1F3EB","female-teacher",["female-teacher"],"People",171,true,null,null],[null,"1F469-200D-1F3ED","female-factory-worker",["female-factory-worker"],"People",173,true,null,null],[null,"1F469-200D-1F466","woman-boy",["woman-boy"],"People",258,null,null,null],[null,"1F469-200D-1F467","woman-girl",["woman-girl"],"People",259,null,null,null],[null,"1F469-200D-1F4BB","female-technologist",["female-technologist"],"People",175,true,null,null],[null,"1F469-200D-1F4BC","female-office-worker",["female-office-worker"],"People",177,true,null,null],[null,"1F469-200D-1F527","female-mechanic",["female-mechanic"],"People",179,true,null,null],[null,"1F469-200D-1F52C","female-scientist",["female-scientist"],"People",181,true,null,null],[null,"1F469-200D-1F680","female-astronaut",["female-astronaut"],"People",189,true,null,null],[null,"1F469-200D-1F692","female-firefighter",["female-firefighter"],"People",185,true,null,null],[null,"1F3C3-200D-2640-FE0F","woman-running",["woman-running"],"People",232,true,null,null],[null,"1F3C3-200D-2642-FE0F","man-running",["man-running"],"People",304,true,null,null],[null,"1F3C4-200D-2640-FE0F","woman-surfing",["woman-surfing"],"Activity",40,true,null,null],[null,"1F3C4-200D-2642-FE0F","man-surfing",["man-surfing"],"Activity",89,true,null,null],[null,"1F3CA-200D-2640-FE0F","woman-swimming",["woman-swimming"],"Activity",42,true,null,null],[null,"1F3CA-200D-2642-FE0F","man-swimming",["man-swimming"],"Activity",90,true,null,null],[null,"1F3CB-FE0F-200D-2640-FE0F","woman-lifting-weights",["woman-lifting-weights"],"Activity",24,true,null,null],[null,"1F3CB-FE0F-200D-2642-FE0F","man-lifting-weights",["man-lifting-weights"],"Activity",87,true,null,null],[null,"1F3CC-FE0F-200D-2640-FE0F","woman-golfing",["woman-golfing"],"Activity",38,true,null,null],[null,"1F3CC-FE0F-200D-2642-FE0F","man-golfing",["man-golfing"],"Activity",88,true,null,null],[null,"1F3F3-FE0F-200D-1F308","rainbow-flag",["rainbow-flag"],"Flags",5,null,null,null],[null,"1F441-FE0F-200D-1F5E8-FE0F","eye-in-speech-bubble",["eye-in-speech-bubble"],"Symbols",238,null,null,null],[null,"1F468-200D-1F466-200D-1F466","man-boy-boy",["man-boy-boy"],"People",266,null,null,null],[null,"1F468-200D-1F467-200D-1F466","man-girl-boy",["man-girl-boy"],"People",265,null,null,null],[null,"1F468-200D-1F467-200D-1F467","man-girl-girl",["man-girl-girl"],"People",267,null,null,null],[null,"1F468-200D-1F468-200D-1F466","man-man-boy",["man-man-boy"],"People",253,null,null,null],[null,"1F468-200D-1F468-200D-1F466-200D-1F466","man-man-boy-boy",["man-man-boy-boy"],"People",256,null,null,null],[null,"1F468-200D-1F468-200D-1F467","man-man-girl",["man-man-girl"],"People",254,null,null,null],[null,"1F468-200D-1F468-200D-1F467-200D-1F466","man-man-girl-boy",["man-man-girl-boy"],"People",255,null,null,null],[null,"1F468-200D-1F468-200D-1F467-200D-1F467","man-man-girl-girl",["man-man-girl-girl"],"People",257,null,null,null],[null,"1F468-200D-1F469-200D-1F466","man-woman-boy",["man-woman-boy","family"],"People",294,null,null,null],[null,"1F468-200D-1F469-200D-1F466-200D-1F466","man-woman-boy-boy",["man-woman-boy-boy"],"People",246,null,null,null],[null,"1F468-200D-1F469-200D-1F467","man-woman-girl",["man-woman-girl"],"People",244,null,null,null],[null,"1F468-200D-1F469-200D-1F467-200D-1F466","man-woman-girl-boy",["man-woman-girl-boy"],"People",245,null,null,null],[null,"1F468-200D-1F469-200D-1F467-200D-1F467","man-woman-girl-girl",["man-woman-girl-girl"],"People",247,null,null,null],[null,"1F468-200D-2695-FE0F","male-doctor",["male-doctor"],"People",162,true,null,null],[null,"1F468-200D-2696-FE0F","male-judge",["male-judge"],"People",192,true,null,null],[null,"1F468-200D-2708-FE0F","male-pilot",["male-pilot"],"People",188,true,null,null],[null,"1F468-200D-2764-FE0F-200D-1F468","man-heart-man",["man-heart-man"],"People",239,null,null,null],[null,"1F468-200D-2764-FE0F-200D-1F48B-200D-1F468","man-kiss-man",["man-kiss-man"],"People",242,null,null,null],[null,"1F469-200D-1F466-200D-1F466","woman-boy-boy",["woman-boy-boy"],"People",261,null,null,null],[null,"1F469-200D-1F467-200D-1F466","woman-girl-boy",["woman-girl-boy"],"People",260,null,null,null],[null,"1F469-200D-1F467-200D-1F467","woman-girl-girl",["woman-girl-girl"],"People",262,null,null,null],[null,"1F469-200D-1F469-200D-1F466","woman-woman-boy",["woman-woman-boy"],"People",248,null,null,null],[null,"1F469-200D-1F469-200D-1F466-200D-1F466","woman-woman-boy-boy",["woman-woman-boy-boy"],"People",251,null,null,null],[null,"1F469-200D-1F469-200D-1F467","woman-woman-girl",["woman-woman-girl"],"People",249,null,null,null],[null,"1F469-200D-1F469-200D-1F467-200D-1F466","woman-woman-girl-boy",["woman-woman-girl-boy"],"People",250,null,null,null],[null,"1F469-200D-1F469-200D-1F467-200D-1F467","woman-woman-girl-girl",["woman-woman-girl-girl"],"People",252,null,null,null],[null,"1F469-200D-2695-FE0F","female-doctor",["female-doctor"],"People",161,true,null,null],[null,"1F469-200D-2696-FE0F","female-judge",["female-judge"],"People",191,true,null,null],[null,"1F469-200D-2708-FE0F","female-pilot",["female-pilot"],"People",187,true,null,null],[null,"1F469-200D-2764-FE0F-200D-1F468","woman-heart-man",["woman-heart-man"],"People",295,null,null,null],[null,"1F469-200D-2764-FE0F-200D-1F469","woman-heart-woman",["woman-heart-woman"],"People",238,null,null,null],[null,"1F469-200D-2764-FE0F-200D-1F48B-200D-1F468","woman-kiss-man",["woman-kiss-man"],"People",296,null,null,null],[null,"1F469-200D-2764-FE0F-200D-1F48B-200D-1F469","woman-kiss-woman",["woman-kiss-woman"],"People",241,null,null,null],[null,"1F46E-200D-2640-FE0F","female-police-officer",["female-police-officer"],"People",153,true,null,null],[null,"1F46E-200D-2642-FE0F","male-police-officer",["male-police-officer"],"People",297,true,null,null],[null,"1F46F-200D-2640-FE0F","woman-with-bunny-ears-partying",["woman-with-bunny-ears-partying"],"People",303,null,null,null],[null,"1F46F-200D-2642-FE0F","man-with-bunny-ears-partying",["man-with-bunny-ears-partying"],"People",229,null,null,null],[null,"1F471-200D-2640-FE0F","blond-haired-woman",["blond-haired-woman"],"People",146,true,null,null],[null,"1F471-200D-2642-FE0F","blond-haired-man",["blond-haired-man"],"People",298,true,null,null],[null,"1F473-200D-2640-FE0F","woman-wearing-turban",["woman-wearing-turban"],"People",151,true,null,null],[null,"1F473-200D-2642-FE0F","man-wearing-turban",["man-wearing-turban"],"People",299,true,null,null],[null,"1F477-200D-2640-FE0F","female-construction-worker",["female-construction-worker"],"People",155,true,null,null],[null,"1F477-200D-2642-FE0F","male-construction-worker",["male-construction-worker"],"People",300,true,null,null],[null,"1F481-200D-2640-FE0F","woman-tipping-hand",["woman-tipping-hand"],"People",308,true,null,null],[null,"1F481-200D-2642-FE0F","man-tipping-hand",["man-tipping-hand"],"People",204,true,null,null],[null,"1F482-200D-2640-FE0F","female-guard",["female-guard"],"People",157,true,null,null],[null,"1F482-200D-2642-FE0F","male-guard",["male-guard"],"People",301,true,null,null],[null,"1F486-200D-2640-FE0F","woman-getting-massage",["woman-getting-massage"],"People",305,true,null,null],[null,"1F486-200D-2642-FE0F","man-getting-massage",["man-getting-massage"],"People",224,true,null,null],[null,"1F487-200D-2640-FE0F","woman-getting-haircut",["woman-getting-haircut"],"People",306,true,null,null],[null,"1F487-200D-2642-FE0F","man-getting-haircut",["man-getting-haircut"],"People",222,true,null,null],[null,"1F575-FE0F-200D-2640-FE0F","female-detective",["female-detective"],"People",159,true,null,null],[null,"1F575-FE0F-200D-2642-FE0F","male-detective",["male-detective"],"People",302,true,null,null],[null,"1F645-200D-2640-FE0F","woman-gesturing-no",["woman-gesturing-no"],"People",309,true,null,null],[null,"1F645-200D-2642-FE0F","man-gesturing-no",["man-gesturing-no"],"People",206,true,null,null],[null,"1F646-200D-2640-FE0F","woman-gesturing-ok",["woman-gesturing-ok"],"People",310,true,null,null],[null,"1F646-200D-2642-FE0F","man-gesturing-ok",["man-gesturing-ok"],"People",208,true,null,null],[null,"1F647-200D-2640-FE0F","woman-bowing",["woman-bowing"],"People",201,true,null,null],[null,"1F647-200D-2642-FE0F","man-bowing",["man-bowing"],"People",311,true,null,null],[null,"1F64B-200D-2640-FE0F","woman-raising-hand",["woman-raising-hand"],"People",312,true,null,null],[null,"1F64B-200D-2642-FE0F","man-raising-hand",["man-raising-hand"],"People",210,true,null,null],[null,"1F64D-200D-2640-FE0F","woman-frowning",["woman-frowning"],"People",313,true,null,null],[null,"1F64D-200D-2642-FE0F","man-frowning",["man-frowning"],"People",220,true,null,null],[null,"1F64E-200D-2640-FE0F","woman-pouting",["woman-pouting"],"People",314,true,null,null],[null,"1F64E-200D-2642-FE0F","man-pouting",["man-pouting"],"People",218,true,null,null],[null,"1F6A3-200D-2640-FE0F","woman-rowing-boat",["woman-rowing-boat"],"Activity",47,true,null,null],[null,"1F6A3-200D-2642-FE0F","man-rowing-boat",["man-rowing-boat"],"Activity",91,true,null,null],[null,"1F6B4-200D-2640-FE0F","woman-biking",["woman-biking"],"Activity",50,true,null,null],[null,"1F6B4-200D-2642-FE0F","man-biking",["man-biking"],"Activity",92,true,null,null],[null,"1F6B5-200D-2640-FE0F","woman-mountain-biking",["woman-mountain-biking"],"Activity",52,true,null,null],[null,"1F6B5-200D-2642-FE0F","man-mountain-biking",["man-mountain-biking"],"Activity",93,true,null,null],[null,"1F6B6-200D-2640-FE0F","woman-walking",["woman-walking"],"People",230,true,null,null],[null,"1F6B6-200D-2642-FE0F","man-walking",["man-walking"],"People",307,true,null,null],[null,"1F926-200D-2640-FE0F","woman-facepalming",["woman-facepalming"],"People",212,true,null,null],[null,"1F926-200D-2642-FE0F","man-facepalming",["man-facepalming"],"People",213,true,null,null],[null,"1F937-200D-2640-FE0F","woman-shrugging",["woman-shrugging"],"People",215,true,null,null],[null,"1F937-200D-2642-FE0F","man-shrugging",["man-shrugging"],"People",216,true,null,null],[null,"1F938-200D-2640-FE0F","woman-cartwheeling",["woman-cartwheeling"],"Activity",31,true,null,null],[null,"1F938-200D-2642-FE0F","man-cartwheeling",["man-cartwheeling"],"Activity",32,true,null,null],[null,"1F939-200D-2640-FE0F","woman-juggling",["woman-juggling"],"Activity",67,true,null,null],[null,"1F939-200D-2642-FE0F","man-juggling",["man-juggling"],"Activity",68,true,null,null],[null,"1F93C-200D-2640-FE0F","woman-wrestling",["woman-wrestling"],"Activity",28,null,null,null],[null,"1F93C-200D-2642-FE0F","man-wrestling",["man-wrestling"],"Activity",29,null,null,null],[null,"1F93D-200D-2640-FE0F","woman-playing-water-polo",["woman-playing-water-polo"],"Activity",45,true,null,null],[null,"1F93D-200D-2642-FE0F","man-playing-water-polo",["man-playing-water-polo"],"Activity",46,true,null,null],[null,"1F93E-200D-2640-FE0F","woman-playing-handball",["woman-playing-handball"],"Activity",36,true,null,null],[null,"1F93E-200D-2642-FE0F","man-playing-handball",["man-playing-handball"],"Activity",37,true,null,null],[null,"26F9-FE0F-200D-2640-FE0F","woman-bouncing-ball",["woman-bouncing-ball"],"Activity",33,true,null,null],[null,"26F9-FE0F-200D-2642-FE0F","man-bouncing-ball",["man-bouncing-ball"],"Activity",86,true,null,null]]); // eslint-disable-line

    function unpackOnFirstUse(arr){
        var unpacked = false;
        return function(){
            if(unpacked) return arr;
            unpacked = true;
            for(var i = 0; i < arr.length; i++){
                if(arr[i].length !== 9) console.log("pack error:", i, arr[i]);
                var fields = ['name', 'unified', 'short_name', 'short_names', 'category', 'sort_order', 'skin_variations', 'text', 'texts'];
                var r = {};
                for(var j = 0; j < fields.length; j++){
                    r[fields[j]] = arr[i][j];
                }
                arr[i] = r;
            }
            return arr;
        }
    }

    /**
     * (grabAllTextNodesfrom Twemoji)
     * Given a generic DOM nodeType 1, walk through all children
     * and store every nodeType 3 (#text) found in the tree.
     * @param   Element a DOM Element with probably some text in it
     * @param   Array the list of previously discovered text nodes
     * @return  Array same list with new discovered nodes, if any
     */
    function grabAllTextNodes(node, allText) {
      var shouldntBeParsed = /IFRAME|NOFRAMES|NOSCRIPT|SCRIPT|SELECT|STYLE|TEXTAREA|[a-z]/,
        childNodes = node.childNodes,
        length = childNodes.length,
        subnode,
        nodeType;
      while (length--) {
        subnode = childNodes[length];
        nodeType = subnode.nodeType;
        // parse emoji only in text nodes
        if (nodeType === 3) {
          // collect them to process emoji later
          allText.push(subnode);
        }
        // ignore all nodes that are not type 1 or that
        // should not be parsed as script, style, and others
        else if (nodeType === 1 && !shouldntBeParsed.test(subnode.nodeName)) {
          grabAllTextNodes(subnode, allText);
        }
      }
      return allText;
    }

    function toUCS2(hex_codepoint){
        // From Unicode spec:
        // "A code point C greater than 0xFFFF corresponds to a surrogate pair <H, L> as per the following formula:"
        // H = Math.floor((C - 0x10000) / 0x400) + 0xD800
        // L = (C - 0x10000) % 0x400 + 0xDC00
        var C = parseInt('0x' + hex_codepoint);
        if(C > 0xffff){
            var H = Math.floor((C - 0x10000) / 0x400) + 0xD800;
            var L = (C - 0x10000) % 0x400 + 0xDC00;
            return String.fromCharCode(H) + String.fromCharCode(L);
        }else{
            return String.fromCharCode(C);
        }
    }

    // encode codepoints described as "0123-4567-89AB-CDEF" etc into UCS2:
    function codepointsToUCS2(codepoints){
        return codepoints.split('-').map(toUCS2).join('');
    }

    function Encodeji(options){
        var self = this;
        this.data = data().slice();
        if(options && options.extendData){
            options.extendData.forEach(function(d){
                var exists = false;
                var v;
                for(var i = 0; i < self.data.length; i++){
                    v = self.data[i];
                    if((d.name && d.name == v.name) || (d.unified && d.unified == v.unified)){
                        exists = v;
                        break;
                    }
                }
                if(exists){
                    for(var prop in d){
                        if(d.hasOwnProperty(prop)){
                            if(prop == 'short_names'){
                                exists.short_names = exists.short_names.concat(d.short_names);
                            }else{
                                exists[prop] = d[prop];
                            }
                        }
                    }
                }else{
                    self.data.push(d);
                }
            });
        }
        this._warn_duplicates = options && options.warnDuplicates;
        this.buildShortNameIndex();
    }

    // if you modify .data (e.g. to add new short names), call this to re-build
    // the name->id mapping used for replacement
    Encodeji.prototype.buildShortNameIndex = function(){
        var dataByShortName = {};
        var allShortNames = [];
        var checkForDuplicateShortName = function(warn_duplicates){
            return function(name, obj){
                if(dataByShortName.hasOwnProperty(name)){
                    if(warn_duplicates && console && console.warn){
                        console.warn('duplicate short name "'+ name +'" from', obj, 'first seen in:', dataByShortName[name]);
                    }
                    return true;
                }
            };
        }(this._warn_duplicates);
        this.data.forEach(function(d){
            // ignore duplicate names. There are some cases where these are
            // valid in the data, such as :man-woman-boy: which can be composed
            // as either the legacy 'family' codepoint 1F46A, or as the
            // combination 1F468-200D-1F469-200D-1F466.
            if(checkForDuplicateShortName(d.short_name, d)){
                // if the existing duplicate is not a primary name, then
                // continue so this one replaces it:
                if(dataByShortName[d.short_name].short_name === d.short_name){
                    return;
                }
            }
            dataByShortName[d.short_name] = d;
            allShortNames.push(d.short_name);
            if(d.short_names && d.short_names.length){
                d.short_names.forEach(function(n){
                    // don't add duplicates between .short_name and
                    // .short_names:
                    if(n !== d.short_name){
                        if(!checkForDuplicateShortName(n, d)){
                            dataByShortName[n] = d;
                            allShortNames.push(n);
                        }
                    }
                });
            }
        });
        this.dataByShortName = dataByShortName;
        this.allShortNames = allShortNames;
    };

    Encodeji.prototype.codepoints = function(id, relaxed){
        // unless 'relaxed' is specified only the .short_name of each emoji will
        // be replaced, not any of the other values in the .short_names array.
        // The name is always converted to lower case before matching.
        id = id.toLowerCase();
        if(this.dataByShortName.hasOwnProperty(id) && (relaxed || this.dataByShortName[id].short_name === id)){
            return this.dataByShortName[id].unified;
        }else{
            return null;
        }
    };

    // NB: id must include ::skin-tone-x modifier, if any for example
    // female-scientist::skin-tone-6, rather than separately parsing the base
    // emoji and skin tone. This is because for emoji with both female/male
    // versions and skin tone modifiers, the skin tone modifier needs to be
    // encoded before the female/male sign and variation selector.
    //
    // e.g., :woman-juggling::skin-tone-1: becomes:
    //
    // juggle skintone  zwj  female-sign variant-selector-display-as-emoji
    // 1F939   1F3FB   200D      2640       FE0F
    //
    // (:woman-juggling: is just 1F939-200D-2640-FE0F)
    //
    Encodeji.prototype.encodeShortName = function(id, relaxed){
        var variation = /([^:]*)::(skin-tone-[2-6])/.exec(id);
        var codepoints;
        if(variation){
            var skintone_codepoint   = this.codepoints(variation[2], relaxed);
            var principle_codepoints = this.codepoints(variation[1], relaxed);
            if(skintone_codepoint){
                if(principle_codepoints){
                    var zwjed_parts = /(.*)-(200D-.*)/i.exec(principle_codepoints);
                    if(zwjed_parts){
                        return codepointsToUCS2(zwjed_parts[1] + '-' + skintone_codepoint + '-' + zwjed_parts[2]);
                    }else{
                        return codepointsToUCS2(principle_codepoints + '-' + skintone_codepoint);
                    }
                }
            }else if(principle_codepoints){
                return codepointsToUCS2(principle_codepoints)+ ':' + variation[2];
            }
        }else{
            codepoints = this.codepoints(id, relaxed);
            if(codepoints){
                return codepointsToUCS2(codepoints);
            }
        }
        return id;
    };

    Encodeji.prototype._replaceColonsStr = function(str){
        // note: skin tone variations are supported through subsequent
        // :emoji-name::skin-tone-name:, which will be converted into the
        // corresponding two code points one after each other. Systems that
        // support variations will show a combined glyph for the two code
        // points, systems that don't will show two separate glyphs (the
        // fallback allowed in the unicode spec).
        var next = 0;
        var replace = /^:([^ :]+(::skin-tone-[2-6])?):/;
        var out = '';
        var capture;
        var encoded;
        while(str.length){
            next = str.indexOf(':');
            if(next >= 0){
                out += str.substring(0, next);
                str = str.substring(next);
                capture = replace.exec(str);
                if(capture){
                    // if the regex matched, then encodeShortName (returns the
                    // original if the short name is unknown):
                    encoded = this.encodeShortName(capture[1]);
                    if(encoded != capture[1]){
                        out += encoded;
                    }else{
                        out += capture[0];
                    }
                    str = str.substring(capture[0].length)
                }else{
                    // if the regex didn't match, consume one colon then
                    // continue...
                    out += str.substring(0, 1);
                    str = str.substring(1);
                }
            }else{
                out += str;
                break;
            }
        }
        return out;
    };

    Encodeji.prototype._replaceColonsNode = function(node){
        var allText = grabAllTextNodes(node, []);
        var self = this;
        allText.forEach(function(subnode){
            var text = subnode.nodeValue;
            var replaced = self._replaceColonsStr(text);
            if(replaced !== text){
                var fragment = document.createDocumentFragment();
                fragment.appendChild(document.createTextNode(replaced));
                subnode.parentNode.replaceChild(fragment, subnode);
            }
        });
    };

    // replace :short_names: in either a string or dom tree
    Encodeji.prototype.replaceColons = function(str_or_dom_node){
        if(typeof str_or_dom_node === 'string'){
            return this._replaceColonsStr(str_or_dom_node);
        }else{
            return this._replaceColonsNode(str_or_dom_node);
        }
    };

    Encodeji.prototype.primaryShortName = function(id){
        // return the 'official' short name for the short name specified.
        // The name is always converted to lower case before matching.
        // Returns null if the name provided is not known
        id = id.toLowerCase();
        if(this.dataByShortName.hasOwnProperty(id)){
            return this.dataByShortName[id].short_name;
        }else{
            var variation = /([^:]*)::(skin-tone-[2-6])/.exec(id);
            if(variation){
                var p = this.primaryShortName(variation[1]);
                if(p && this.dataByShortName.hasOwnProperty(p) && this.dataByShortName[p].skin_variations){
                    var v = this.primaryShortName(variation[2]);
                    if(p && v){
                        return p + '::' + v;
                    }
                }
            }
        }
        return null;
    };

    Encodeji.prototype.possibleShortNames = function(including){
        // escape any regex-special chars before using 'including' in regex:
        var match = new RegExp(including.replace(/[\\^$*+?.()|[\]{}]/g, '\\$&'), 'i');
        return this.allShortNames.filter(function(v){
            return match.exec(v);
        });
    };

    return Encodeji;
});
